Index: /main/trunk/release-kits/shared/core/language-strings/LanguagePack_gu.properties
===================================================================
--- /main/trunk/release-kits/shared/core/language-strings/LanguagePack_gu.properties	(revision 30614)
+++ /main/trunk/release-kits/shared/core/language-strings/LanguagePack_gu.properties	(revision 30615)
@@ -1,3 +1,4 @@
 ### Language page ###
+page.language-selector.displayText:àª­àªŸàª·àªŸ
 language-selector-explanation.displayText:àª€àª®àªŸàª°à« àªªàªžàªàªŠàªà«àªšà« àª­àªŸàª·àªŸ àªªàªžàªàªŠ àªàª°à«
 # (Note: This installer has not been fully translated into all these languages yet)
@@ -5,13 +6,25 @@
 
 ### Intro Page ###
+page.intro.displayText:Greenstone @version@ installer
+welcome.displayText:Greenstone@version.major@ àª àª¡àª¿àªà«àªàª² àª²àªŸàªàª¬à«àª°à«àª°à«àªàªšà« àª¬àª¿àª²à«àª¡ àªàª°àªµàªŸ àª
+àªšà« àª­àªŸàªà«àªŠàªŸàª°à« àª®àªŸàªà«àªšà«àª àªžà«àª«à«àªàªµà«àª° àªà«. \n\nàª àªàªšà«àªžà«àªà«àª²àª°àª®àªŸàª àªà«àª°à«àªšàªžà«àªà«àªš àªžàª¿àªžà«àªàª®, àª¡àª¿àªà«àªàª² àª²àªŸàªàª¬à«àª°à«àª°à«àª àª¹à«àªžà«àª àªàª°àªµàªŸ àª®àªŸàªà«àªšàªŸ àªà«àª²à«àªž (Windows àª®àªŸàªà« Apache2.2 for Linux/MacOS, Greenstone Library Server), àªàª®à«àªà«àªžàªšà« àª°à«àªªàªŸàªàª€àª° àªàª°àªµàªŸ àª®àªŸàªà« (ImageMagick), àª
+àªšà«Â  pdf àª
+àªšà« postscript àªªà«àª°àª²à«àªà« àªžàªŸàª¥à« àªàª°à«àª® àªàª°àªµàªŸ àª®àªŸàªà« (GhostScript - Windows àª
+àªšà«Â  MacOS àªªàª£) àªµàªà«àª°à«àªšà« àªžàª®àªŸàªµà«àª¶ àª¥àªŸàª¯ àªà«.
+welcome-greenstone3.displayText:Greenstone@version.major@ àª àª¡àª¿àªà«àªàª² àª²àªŸàªàª¬à«àª°à«àª°à«àªàªšà« àª¬àª¿àª²à«àª¡ àªàª°àªµàªŸ àª
+àªšà« àª­àªŸàªà«àªŠàªŸàª°à« àª®àªŸàªà«àªšà«àª àªžà«àª«à«àªàªµà«àª° àªà«.
 
 ## License page ###
+page.license.displayText:àªžà«àª«à«àªàªµà«àª° àª²àªŸàª¯àªžàªšà«àªž
 
 
 ### Destination page ###
+page.destination.displayText:àªàªšà«àªžà«àªà«àª²à«àª¶àªš àª«à«àª²à«àª¡àª°
 installDir.displayText:àªàªšà«àªžà«àªà«àª²à«àª¶àªš àª«à«àª²à«àª¡àª° àªªàªžàªàªŠ àªàª°à«
 
 
 ### InstallShield install detected page ###
+page.dontBudge.displayText:àª
+àªàªŸàªàªšà«àª àªàªšà«àªžà«àªà«àª²à«àª¶àªš àª®àª³à«àª¯à«àª
 is-install-detected.displayText:àªà«àª°à«àªšàªžà«àªà«àªš2àªšà«àª 2.81 àª¥à« àªà«àªšàªŸÂ àªµàª°à«àªàªšàªšà«àª àªàªšà«àªžà«àªà«àª²à«àª¶àªš, àª
 àª¥àªµàªŸ àªà«àª°à«àªšàªžà«àªà«àªš3àªšà«àª 3.04àª¥à« àªà«àªšàªŸ àªµàª°à«àªàªšàªšà«àª àªàªšà«àªžà«àªà«àª²à«àª¶àªš àªàªšà«àªžà«àªà«àª²à«àª¶àªš àª«à«àª²à«àª¡àª°àª®àªŸàª àªà«àªµàªŸ àª®àª³à«àª¯à«àª. àªªàªžàªàªŠ àªàª°à«àª² àªàªšà«àªžà«àªà«àª²à«àª¶àªš àª«à«àª²à«àª¡àª°àªšà« àªàªªàª¯à«àª àªàª°à« àªàªšà«àªžà«àªà«àª²à«àª¶àªšàªšà« àªªà«àª°àªàª¿àª¯àªŸ àªàªàª³ àªµàª§àª¶à« àªšàª¹à«àª. \n\nàªà«àªªàªŸ àªàª°à« àª àªàªšà«àªžà«àªà«àª²àª°àª®àªŸàªàª¥à« àª¬àª¹àªŸàª° àªšà«àªàª³à« àªàªŸàªµ, àªà«àª°à«àªšàªžà«àªà«àªšàªšàªŸ àª
@@ -25,4 +38,5 @@
 # (Note: in the html here, we must use '<br>' for breaklines.
 # '<br/>' and other variations are not recognised.)
+page.selector.displayText:àªà«àª®à«àªªà«àªšà«àªšà«àªà«àªž
 choose-components.displayText:àª€àª®à« àªà« àªà«àª®à«àªªà«àªšà«àªšà«àªà«àªž àªàªšà«àªžà«àªà«àª² àªàª°àªµàªŸ àª®àªŸàªàªà« àªà« àª€à«àªšà« àªªàªžàªàªŠ àªàª°à«
 
@@ -88,4 +102,5 @@
 ### Admin password page
 
+page.admin-pages.displayText:àªµàª¹à«àªµàªà« àªªàªŸàªšàªŸàª
 
 ## GS2
@@ -106,5 +121,7 @@
 àªšà« àª€à«àªšà« àªªàªŸàªžàªµàª°à«àª¡ àª€à«àª¯àªŸàª° àªàª°àªµàªŸàª®àªŸàª àªàªµàª¶à«. àª²àªŸàªàª¬à«àª°à«àª°à« àªàª° àªªàªŸàªšàªŸ àªªàª°àª¥à« àª€à«àªšà« àª€àªŸàª€à«àªàªŸàª²àª¿àª àª
 àªžàª°àª¥à« àª¬àªŠàª²à«.
-
+set.admin.pwd.displayText:àª¹àªµà« àªµàª¹à«àªµàªà« àªªàªŸàªžàªµàª°à«àª¡ àªžà«àª àªàª°à«
+
+page.admin-password.displayText:àªµàª¹à«àªµàªà« àªªàªŸàªžàªµàª°à«àª¡
 admin-password-expl.displayText:àªàªªàª­à«àªà«àª€àªŸ àª®àªŸàªà« àª¯à«àªàª°àªšàªŸàª® 'admin' àª€à«àª¯àªŸàª° àªàª°àªµàªŸàª®àªŸàª àªàªµàª¶à« àª
 àªšà« àª€àª®à« àªàªªà«àª² àªªàªŸàªžàªµàª°à«àª¡ àª°àª¹à«àª¶à«. àªà«àªªàªŸ àªàª°à« adminàªšà« àªªàªŸàªžàªµàª°à«àª¡ àªŠàªŸàªàª² àªàª°à«. àªªàªŸàªžàªµàª°à«àª¡ 3 àª¥à« 20 àª
@@ -116,11 +133,72 @@
 
 ### Tomcat config page
+page.tomcat-config.displayText:Apache Tomcat àªàªšà«àª«àª¿àªà«àª¯à«àª°à«àª¶àªš
+tomcat-config-explanation1.displayText:àª€àª®àªŸàª°à« àª¡àª¿àªà«àªàª² àª²àªŸàªàª¬à«àª°à«àª°à«àªšà« àª­àªŸàªà«àªŠàªŸàª°à« àªàª°àªµàªŸ àªà«àª°à«àªšàªžà«àªà«àªš3Â  Apache Tomcatàªšà« àªàªªàª¯à«àª àªàª°à« àªà«.
+tomcat-config-explanation2.displayText:àª€àª®à« àªàªŸàªàª€à« àª
+àª¹à«àªàª¥à« Tomcat àªàªšà«àª«àª¿àªà«àª¯à«àª° àªàª°à« àª¶àªà«, àª
+àª¥àªµàªŸ àªà«àª°à«àªšàªžà«àªà«àªš3àª®àªŸàª home àª«à«àª²à«àª¡àª°àª®àªŸàª àª°àª¹à«àª² build.properties àª«àªŸàªàª²àª®àªŸàª àªžà«àª§àªŸàª°à« àªàª°à« àªšà« Tomcat àªàªšà«àª«àª¿àªà«àª¯à«àª° àªàª°à« àª¶àªà« àªà« (${installDir}).
+tomcat.server.displayText:Tomcat àªžàª°à«àªµàª°
+tomcat-server.explanatoryText:àªà« àªžàª°à«àªµàª° àª®àª¶à«àªšàª®àªŸàª àª²àªŸàªàª¬à«àª°à«àª°à« àª¹à«àªžà«àª àªàª°àªµàªŸàªšà« àªà« àª€à«àªšà«àª àªšàªŸàª® àªŠàªŸàªàª² àªàª°à«. àªà« àª€àª®à« àªàª®àªŸàª àªà«àªà«àªàªž àªšàªŸ àª¹à«àª¯ àª€à« àª¡àª¿àª«à«àª²à«àª(localhost)àªšà« àªžà«àªµà«àªàªŸàª°à«.
+tomcat.port.explanatoryText:Tomcat àªà« àªªà«àª°à«àªà«àªžàªšà« àªàªªàª¯à«àª àªàª°à« àªà« àª€à« àªªàªžàªàªŠ àªàª°à«.  àª¹àªàª®à«àª¶àªŸ àª¡àª¿àª«à«àª²à«àªàªšà«Â  àªªàªžàªàªŠ àªàª°àªµà«àª àªžà«àª°àªà«àª·àª¿àª€ àªà«. àªà« àª€àª®à« àª¡àª¿àª«à«àª²à«àª àªªà«àª°à«àªà«àªž àªªàª° àª
+àªšà«àª¯ àªžà«àªµàªŸàª àª
+àªàªŸàªàª¥à« àª°àªš àªàª°à« àª°àª¹à«àª¯àªŸ àª¹à«àª¯ àª€à«, àªà«àªªàªŸ àªàª°à«Â  àª
+àª®à«àª àª«à«àª°à« àªªà«àª°à«àªà«àªž àªªàªžàªàªŠ àªàª°à«.
+tomcat.port.displayText:Tomcat àªªà«àª°à«àª
+tomcat.shutdown.port.displayText:Tomcat àªªà«àª°à«àª àª¬àªàª§ àªàª°à«
 
 ### Progress page
+page.progress.displayText:àªàªšà«àªžà«àªà«àª²à«àª¶àªšàªšà« àªžà«àª¥àª¿àª€àª¿
 
 ### Uninstaller Strings
 
-
-
+uninstaller.greenstone.uninstaller:àªà«àª°à«àªšàªžà«àªà«àªš àª
+àªšàªàªšà«àªžà«àªà«àª²àª°
+uninstaller.cancel:àª°àªŠ àªàª°à«
+uninstaller.uninstall:àª
+àªšàªàªšà«àªžà«àªà«àª² àªàª°à«
+uninstaller.finish:àªªà«àª°à«àª£
+uninstaller.error:àª­à«àª²
+uninstaller.confirmation:àªàªšà«àª«àª°à«àª®à«àª¶àªš
+uninstaller.continue:àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªàªàª³ àªàªŸàª²à« àª°àªŸàªà«
+uninstaller.complete:àªªà«àª°à«àª£
+uninstaller.skip:àªàªªà«àªà«àª·àªŸ àªàª°à«
+uninstaller.skip.all:àª€àª®àªŸàª®àªšà« àªàªªà«àªà«àª·àªŸ àªàª°à«
+uninstaller.retry:àª¬à«àªà« àªµàªàª€ àªªà«àª°àª¯àª€à«àªš àªàª°à«
+uninstaller.readonly:àª°à«àª¡ àªàªšà«àª²à«
+
+uninstaller.will.uninstall.from:àª®àªŸàªàª¥à« àªà«àª°à«àªšàªžà«àªà«àªš àª
+àªšàªàªšà«àªžà«àªà«àª² àªàª°à«\:
+uninstaller.uninstall.options:àª
+àªšàªàªšà«àªžà«àªà«àª²àªšàªŸ àªàªªàªŸàª¯à«\:
+uninstaller.keep.collections:àªžàªàªà«àª°àª¹à« àª°àªŸàªà«
+uninstaller.are.you.sure:Â àª€àª®à« àªàª°à«àªàª° àªà«àª°à«àªšàªžà«àªà«àªš àª
+àªš-àªàªšà«àªžà«àªà«àª² àªàª°àªµàªŸ àª®àªŸàªàªà« àªà«
+uninstaller.are.you.sure.collections:àª€àª®àªŸàª°àªŸ àªžàªàªà«àª°àª¹à«àªšà« àªšàªŸàª¶ àªàª°àªµàªŸ àª®àªŸàªà« àª€àª®à«àª àªªàªžàªàªŠ àªàª°à«àª¯à«àª àªà«.\nàª àªªà«àª°àªà«àª°àª¿àª¯àªŸ àª
+àªµàª¿àª°àª€ àªàªŸàª²à« àª°àªŸàªàª€àªŸ àªªàª¹à«àª²àªŸ àªà«àªªàªŸ àªàª°à« àªà«àª àªªàª£ àªžàªàªà«àª°àª¹à«àªšà« àª¬à«
+àªàª
+àªª àª²à«.
+uninstaller.failed.to.figure.cd:àªµàª°à«àª€àª®àªŸàªš àª¡àª¿àª°à«àªà«àªàª°à« àªàª³àªàªµàªŸàª®àªŸàª àªšàª¿àª·à«àª«àª³
+uninstaller.cancelled:àª
+àªš-àªàªšà«àªžà«àªà«àª²àªšà« àªªà«àª°àªà«àª°àª¿àª¯àªŸ àª°àªŠ àªàª°à«
+uninstaller.finished:àª
+àªšàªàªšà«àªžà«àªà«àª²àªšà« àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªªà«àª°à«àª£
+uninstaller.deleting:àª¡à«àªžà«àªàª®àªŸàªàª¥à« àªšàªŸàª¶ àª¥àª àª°àª¹à«àª¯à«àª àªà«
+
+uninstaller.info.skipping:àª®àªŸàª¹àª¿àª€à«\: {file}àªšà« àªàªªà«àªà«àª·àªŸ àªàª°à«àªšà«
+uninstaller.info.no.startmenu:àª®àªŸàª¹àª¿àª€à«\: StartMenuàªšà« àªà«àª àªªàªŸàª¥ àªà«àªµàªŸ àª®àª³à«àª¯à« àªšàª¹àª¿. StartMenuàªšàªŸ àªà«àª¥àªšà« àªšàªŸàª¶ àªàª°àªµà« àª€à« àª
+àªšàªàªšà«àªžà«àªà«àª² àªªà«àª°àªà«àª°àª¿àª¯àªŸàªšà« àª­àªŸàª àªšàª¹àª¿ àª¹à«àª¯
+uninstaller.warning.readonly:àªà«àª€àªµàª£à«\: àªà« {file} àªà«àªµàªŸ àª®àª³à« àªà« àª€à« àª°à«àª¡-àªàªšà«àª²à« àª¹à«àª àª¶àªà«
+uninstaller.warning.couldnt.delete:àªà«àª€àªµàª£à«\: {file} àªšàªŸàª¶ àª¥àª àª¶àªà« àªšàª¥à«. àªàªªà«àªà«àª·àªŸ àªàª°à«.
+uninstaller.warning.nonexistent:àªà«àª€àªµàª£à«\: {file} àª
+àªžà«àª€àª¿àª€à«àªµàª®àªŸàª àªšàª¥à«
+uninstaller.error.nonexistent:àª­à«àª²\: {file} àª
+àªžà«àª€àª¿àª€à«àªµàª®àªŸ àªšàª¥à«
+uninstaller.error.couldnt.find.install.props:àª­à«àª²\: 'installation.properties' àª
+àª¥àªµàªŸÂ  'etc/installation.properties'Â  àª¶à«àª§à« àª¶àªàªŸàª¯ àªšàª¥à«. \nàªàªŸàªàª€à« àª àªà«àª°à«àªšàªžà«àªà«àªš àªàªšà«àªžà«àªà«àª²à«àª¶àªš àª®àªŸàªšà«àª¯ àªšàª¥à«, àª
+àª¥àªµàªŸ àªàªšà«àªžà«àªà«àª²à«àª¶àªš àªàª°àªªà«àª àª¥àª àªàª¯à«àª àªà«. \nàªàªšà«àªžà«àªà«àª²à«àª¶àªš àªàªàª³ àªµàª§à« àª¶àªàª€à«àª àªšàª¥à«.
+uninstaller.warning.couldnt.create.flagfile:àªà«àª€àªµàª£à«\: àª«à«àª²à«àª àª«àªŸàªàª² àª€à«àª¯àªŸàª° àªàª°à« àª¶àªàªŸàª¯ àª€à«àª® àªšàª¥à«. àª€àª®àªŸàª°à«Â  jreàªšà« àªšàªŸàª¶ àªàª°àªµà« àª àªªàª¡àª¶à« àª
+àªšà« àª
+àªšàªàªšà«àªžà«àªà«àª²àª° àª«àªŸàªàª²à« àª®à«àªšà«àª¯à«àª
+àª²à« àª®à«àªà«àª€ àªàª°à«
 
 
@@ -136,9 +214,16 @@
 canNotCreateFile:àª«àªŸàªàª² àª€à«àª¯àªŸàª° àªàª°à« àª¶àªàª¶à« àªšàª¹à«àª
 appRootInvalid:àªàªªà«àª²àª¿àªà«àª¶àªšàªšà«àª àª°à«àª àª¬àªšà« àª€à« àª«à«àª²à«àª¡àª° àªŠà«àªàªŸàª€à«àª àªšàª¥à«
+selectFile:àª«àªŸàªàª² àªªàªžàªàªŠ àªàª°à«
+selectFolder:àª«à«àª²à«àª¡àª° àªªàªžàªàªŠ àªàª°à«
 browseDotDotDot:àª¬à«àª°àªŸàªàªâŠ
+notValidSelection:àªªàªžàªàªŠàªà« àª®àªŸàªšà«àª¯ àªšàª¥à«
+showDetails:àªµàª¿àªàª€à« àª¬àª€àªŸàªµà«
 
 #Default loading
+promptLoadDefaults:àªàªšà«àªžà«àªà«àª²à«àª¶àªš àªàªšà«àª«àª¿àªà«àª¯à«àª°à«àª¶àªš àªà«àªµàªŸ àª®àª³à«àª¯à«àª. àª¹àªŸàª²àª®àªŸàª àªàªªàª²àª¬à«àª§ àªàªšà«àª«àª¿àªà«àª¯à«àª°à«àª¶àªš àª²à«àª¡Â  àªàª°àªµà«àª àªà«?
+promptMissingDefaultPassword:àªªàªŸàªžàªµàª°à«àª¡ àª®àª³à«àª¯à« àªšàª¹à«àª àªžà«àª°àªà«àª·àªŸ àªàªŸàª€àª° àª€à«àªšà« àªàªŸàª¢à« àªšàªŸàªàªµàªŸàª®àªŸàª àªàªµà«àª¯à« àª¹à«àª¯ àª¶àªà«, àª¡àª¿àª«à«àª²à«àª àª€àª°à«àªà« àª€à« àªžà«àª àª¥àª¶à«.
 
 click:àªà«àª²àª¿àª àªàª°à«
+toContinue:àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªàªàª³ àªàªŸàª²à« àª°àªŸàªàªµàªŸ
 failed:àªšàª¿àª·à«àª«àª³ àªàª¯à«àª
 exit:àª¬àª¹àªŸàª°
@@ -155,6 +240,15 @@
 finishButtonText:àªàªšà«àªžà«àªà«àª² àªàª°à«
 
+output:àªàªàªàªªà«àª
 errors:àª­à«àª²à«
+notCorrectFormat:àª àª«àª¿àª²à«àª¡ àª¯à«àªà«àª¯ àª«à«àª°à«àª®à«àªàª®àªŸàª àªšàª¥à«
+notCorrectPasswordFormat:àª àªªàªŸàªžàªµàª°à«àª¡ àª¯à«àªà«àª¯ àª«à«àª°à«àª®à«àªàª®àªŸàª àªšàª¥à«
+passwordsDoNotMatch:àªªàªŸàªžàªµàª°à«àª¡ àª¬àªàª§ àª¬à«àªžàª€à« àªšàª¥à«
 installationFailed:àªàªšà«àªžà«àªà«àª² àªàª°àªµàªŸàªšà«Â àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªšàª¿àª·à«àª«àª³ àªàª
+propertiesVersionMismatch:àª
+àªàªŸàªàªšàªŸ àªµàª°à«àªàªšàª®àªŸàªàª¥à« àª
+àª®à«àª àªµàª¿àªàª²à«àªªà« àªà«àª® àªà« àª
+àªšà« àª®à«àªšà«àª¯à«àª
+àª²à« àªŠàªŸàªàª² àªàª°àªµàªŸ àª àªªàª¡àª¶à«, àªªà«àª°àªà«àª°àª¿àª¯àªŸ àªàªàª³ àªµàª§àªŸàª°à« àªà«?
 
 Finished:àªªà«àª°à«àª£ àª¥àª¯à«àª
@@ -170,4 +264,5 @@
 _required_:àªàª°à«àª°à« àª¹àª€à«àª
 _default_:àª¡àª¿àª«à«àª²à«àª
+true:àªàª°à«àª
 #The value of 'affirmativeChars' comes from the first letters of "True" and "Yes"
 affirmativeChars:T,Y