Index: /main/trunk/greenstone3/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml
===================================================================
--- /main/trunk/greenstone3/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml	(revision 30639)
+++ /main/trunk/greenstone3/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml	(revision 30640)
@@ -1,104 +1,104 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <CollectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-    <metadataList>
-        <metadata lang="en" name="creator"/>
-        <metadata lang="en" name="maintainer"/>
-        <metadata lang="en" name="public">true</metadata>
-    </metadataList>
-    <displayItemList>
-        <displayItem assigned="true" lang="en" name="description">This is a demonstration collection for the Greenstone3 digital library software. It contains a small subset (11 books) of the Humanitarian and Development Libraries. It is the Greenstone 3 equivalent of the Greenstone 2 demo collection, built with MG.</displayItem>
-		<!--
+  <metadataList>
+    <metadata lang="en" name="creator"/>
+    <metadata lang="en" name="maintainer"/>
+    <metadata lang="en" name="public">true</metadata>
+  </metadataList>
+  <displayItemList>
+    <displayItem assigned="true" lang="en" name="description">This is a demonstration collection for the Greenstone3 digital library software. It contains a small subset (11 books) of the Humanitarian and Development Libraries. It is the Greenstone 3 equivalent of the Greenstone 2 demo collection, built with MG.</displayItem>
+    <!--
         <displayItem assigned="true" lang="en" name="smallicon">gs2mgdemo_sm.gif</displayItem>
         <displayItem assigned="true" lang="en" name="icon">gs2mgdemo.gif</displayItem>
-		-->
-        <displayItem assigned="true" lang="en" name="name">MG demo</displayItem>
-    </displayItemList>
-    <search type="mg">
-        <index name="section:text">
-            <displayItem lang="ru" name="name">ÐÐ»Ð°Ð²Ñ</displayItem>
-            <displayItem lang="en" name="name">chapters</displayItem>
-            <displayItem lang="es" name="name">capÃ­tulos</displayItem>
-            <displayItem lang="fr" name="name">chapitres</displayItem>
-        </index>
-        <index name="document:text">
-            <displayItem lang="ru" name="name">ÐÐŸÐ»ÐœÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ</displayItem>
-            <displayItem lang="en" name="name">entire documents</displayItem>
-            <displayItem lang="es" name="name">documentos enteros</displayItem>
-            <displayItem lang="fr" name="name">documents entiers</displayItem>
-        </index>
-        <index name="section:Title">
-            <displayItem lang="ru" name="name">ÐÐ°Ð·Ð²Ð°ÐœÐžÑ ÑÐ°Ð·ÐŽÐµÐ»ÐŸÐ²</displayItem>
-            <displayItem lang="en" name="name">section titles</displayItem>
-            <displayItem lang="es" name="name">tÃ­tulos de las secciones</displayItem>
-            <displayItem lang="fr" name="name">titres des sections</displayItem>
-        </index>
-        <indexOption>
-            <option name="casefold"/>
-            <option name="stem"/>
-        </indexOption>
-        <searchType name="plain"/>
-        <searchType name="simpleform"/>
-        <searchType name="advancedform"/>
-        <format><gsf:template match="documentNode"><td valign="top"><gsf:link type="document"><gsf:icon type="document"/></gsf:link></td><td><gsf:switch><gsf:metadata name="Title" select="ancestors" separator=": "/><gsf:when test="exists"><gsf:metadata name="Title" select="ancestors" separator=": "/>:</gsf:when></gsf:switch><gsf:link type="document"><gsf:metadata name="Title"/></gsf:link></td></gsf:template></format>
-    </search>
-    <infodb type="gdbm"/>
-    <import>
-        <pluginList>
-            <plugin name="GreenstoneXMLPlugin"/>
-            <plugin name="HTMLPlugin">
-                <option name="-description_tags"/>
-            </plugin>
-            <plugin name="MetadataXMLPlugin"/>
-            <plugin name="ArchivesInfPlugin"/>
-            <plugin name="DirectoryPlugin"/>
-        </pluginList>
-    </import>
-    <browse>
-        <classifier name="List">
-            <option name="-metadata" value="dc.Title"/>
-            <option name="-partition_type_within_level" value="constant_size"/>
-        </classifier>
-        <classifier name="Hierarchy">
-            <option name="-metadata" value="dc.Subject"/>
-            <option name="-sort" value="dc.Title"/>
-        </classifier>
-        <classifier name="List">
-            <option name="-metadata" value="dls.Organization"/>
-            <option name="-sort_leaf_nodes_using" value="dc.Title"/>
-            <option name="-partition_type_within_level" value="constant_size"/>
-            <option name="-bookshelf_type" value="always"/>
-            <option name="-buttonname" value="Organization"/>
-        </classifier>
-        <classifier name="List">
-            <option name="-metadata" value="dls.Keyword"/>
-            <option name="-buttonname" value="Howto"/>
-            <option name="-partition_type_within_level" value="constant_size"/>
-            <format><gsf:template match="documentNode"><td><gsf:link type="document"><gsf:metadata name="dls.Keyword"/></gsf:link></td></gsf:template><gsf:template match="classifierNode"><td><gsf:link type="classifier"><gsf:metadata name="Title"/></gsf:link></td></gsf:template></format>
-        </classifier>
-        <format><gsf:template match="documentNode"><td valign="top"><gsf:link type="document"><gsf:icon type="document"/></gsf:link></td><td valign="top"><gsf:metadata name="srclink"/><gsf:choose-metadata><gsf:metadata name="thumbicon"/><gsf:metadata name="srcicon"/></gsf:choose-metadata><gsf:metadata name="/srclink"/></td><td valign="top"><gsf:choose-metadata><gsf:metadata name="dc.Title"/><gsf:metadata name="exp.Title"/><gsf:metadata name="Title"/><gsf:default>Untitled</gsf:default></gsf:choose-metadata><gsf:switch><gsf:metadata name="Source"/><gsf:when test="exists"><br/><i>(<gsf:metadata name="Source"/>)</i></gsf:when></gsf:switch></td></gsf:template><gsf:template match="classifierNode"><td valign="top"><gsf:link type="classifier"><gsf:icon type="classifier"/></gsf:link></td><td valign="top"><gsf:metadata name="Title"/></td></gsf:template><gsf:template match="classifierNode" mode="horizontal"><gsf:link type="horizontal"><gsf:metadata name="Title"/></gsf:link></gsf:template></format>
-    </browse>
-    <display>
-        <format><gsf:option name="TOC" value="true"/></format>
-    </display>
-    <replaceListRef id="gs2-standard"/>
-    <serviceRackList>
-      <!-- comment out the following serviceRack if you want to disable OAI for this collection -->
-      <serviceRack name="OAIPMH">
-	<setName>MG demo collection</setName>
-	<setDescription>A demo collection for greenstone, using MG and GDBM.</setDescription>
-	<!-- uncomment the following and set the name attribute if you want this
-	     collection to be part of a super set. -->
-	<!--<oaiSuperSet name="xxx"/>-->
-	<ListMetadataFormats>
-	  <!--What metadata sets to support for this collection. You can select any set that is specified in OAIConfig.xml. To use a new set, you need to add a set definition in OAIConfig.xml, then reference it here, like:
-		   <metadataFormat metadataPrefix="prefix"/> -->
-	  <metadataFormat metadataPrefix="oai_dc">
-	    <!--   a custom mapping as this collection doesn't have exclusive dc metadata --><!-- this will replace the dc:publisher element from the main set -->
-	    <element name="dc:publisher">
-	      <mapping elements="dls.Organization"/>
-	    </element>
-	  </metadataFormat>
-	</ListMetadataFormats>
-      </serviceRack>
-    </serviceRackList>
+    -->
+    <displayItem assigned="true" lang="en" name="name">MG demo</displayItem>
+  </displayItemList>
+  <search type="mg">
+    <index name="section:text">
+      <displayItem lang="ru" name="name">ÐÐ»Ð°Ð²Ñ</displayItem>
+      <displayItem lang="en" name="name">chapters</displayItem>
+      <displayItem lang="es" name="name">capÃ­tulos</displayItem>
+      <displayItem lang="fr" name="name">chapitres</displayItem>
+    </index>
+    <index name="document:text">
+      <displayItem lang="ru" name="name">ÐÐŸÐ»ÐœÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ</displayItem>
+      <displayItem lang="en" name="name">entire documents</displayItem>
+      <displayItem lang="es" name="name">documentos enteros</displayItem>
+      <displayItem lang="fr" name="name">documents entiers</displayItem>
+    </index>
+    <index name="section:Title">
+      <displayItem lang="ru" name="name">ÐÐ°Ð·Ð²Ð°ÐœÐžÑ ÑÐ°Ð·ÐŽÐµÐ»ÐŸÐ²</displayItem>
+      <displayItem lang="en" name="name">section titles</displayItem>
+      <displayItem lang="es" name="name">tÃ­tulos de las secciones</displayItem>
+      <displayItem lang="fr" name="name">titres des sections</displayItem>
+    </index>
+    <indexOption>
+      <option name="casefold"/>
+      <option name="stem"/>
+    </indexOption>
+    <searchType name="plain"/>
+    <searchType name="simpleform"/>
+    <searchType name="advancedform"/>
+    <format><gsf:template match="documentNode"><td valign="top"><gsf:link type="document"><gsf:icon type="document"/></gsf:link></td><td><gsf:switch><gsf:metadata name="Title" select="ancestors" separator=": "/><gsf:when test="exists"><gsf:metadata name="Title" select="ancestors" separator=": "/>:</gsf:when></gsf:switch><gsf:link type="document"><gsf:metadata name="Title"/></gsf:link></td></gsf:template></format>
+  </search>
+  <infodb type="gdbm"/>
+  <import>
+    <pluginList>
+      <plugin name="GreenstoneXMLPlugin"/>
+      <plugin name="HTMLPlugin">
+	<option name="-description_tags"/>
+      </plugin>
+      <plugin name="MetadataXMLPlugin"/>
+      <plugin name="ArchivesInfPlugin"/>
+      <plugin name="DirectoryPlugin"/>
+    </pluginList>
+  </import>
+  <browse>
+    <classifier name="List">
+      <option name="-metadata" value="dc.Title"/>
+      <option name="-partition_type_within_level" value="constant_size"/>
+    </classifier>
+    <classifier name="Hierarchy">
+      <option name="-metadata" value="dc.Subject"/>
+      <option name="-sort" value="dc.Title"/>
+    </classifier>
+    <classifier name="List">
+      <option name="-metadata" value="dls.Organization"/>
+      <option name="-sort_leaf_nodes_using" value="dc.Title"/>
+      <option name="-partition_type_within_level" value="constant_size"/>
+      <option name="-bookshelf_type" value="always"/>
+      <option name="-buttonname" value="Organization"/>
+    </classifier>
+    <classifier name="List">
+      <option name="-metadata" value="dls.Keyword"/>
+      <option name="-buttonname" value="Howto"/>
+      <option name="-partition_type_within_level" value="constant_size"/>
+      <format><gsf:template match="documentNode"><td><gsf:link type="document"><gsf:metadata name="dls.Keyword"/></gsf:link></td></gsf:template><gsf:template match="classifierNode"><td><gsf:link type="classifier"><gsf:metadata name="Title"/></gsf:link></td></gsf:template></format>
+    </classifier>
+    <format><gsf:template match="documentNode"><td valign="top"><gsf:link type="document"><gsf:icon type="document"/></gsf:link></td><td valign="top"><gsf:metadata name="srclink"/><gsf:choose-metadata><gsf:metadata name="thumbicon"/><gsf:metadata name="srcicon"/></gsf:choose-metadata><gsf:metadata name="/srclink"/></td><td valign="top"><gsf:choose-metadata><gsf:metadata name="dc.Title"/><gsf:metadata name="exp.Title"/><gsf:metadata name="Title"/><gsf:default>Untitled</gsf:default></gsf:choose-metadata><gsf:switch><gsf:metadata name="Source"/><gsf:when test="exists"><br/><i>(<gsf:metadata name="Source"/>)</i></gsf:when></gsf:switch></td></gsf:template><gsf:template match="classifierNode"><td valign="top"><gsf:link type="classifier"><gsf:icon type="classifier"/></gsf:link></td><td valign="top"><gsf:metadata name="Title"/></td></gsf:template><gsf:template match="classifierNode" mode="horizontal"><gsf:link type="horizontal"><gsf:metadata name="Title"/></gsf:link></gsf:template></format>
+  </browse>
+  <display>
+    <format><gsf:option name="TOC" value="true"/></format>
+  </display>
+  <replaceListRef id="gs2-standard"/>
+  <serviceRackList>
+    <!-- comment out the following serviceRack if you want to disable OAI for this collection -->
+    <serviceRack name="OAIPMH">
+      <setName>MG demo collection</setName>
+      <setDescription>A demo collection for greenstone, using MG and GDBM.</setDescription>
+      <!-- uncomment the following and set the name attribute if you want this
+	   collection to be part of a super set. -->
+      <!--<oaiSuperSet name="xxx"/>-->
+      <ListMetadataFormats>
+	<!--What metadata sets to support for this collection. You can select any set that is specified in OAIConfig.xml. To use a new set, you need to add a set definition in OAIConfig.xml, then reference it here, like:
+	    <metadataFormat metadataPrefix="prefix"/> -->
+	<metadataFormat metadataPrefix="oai_dc">
+	  <!--   a custom mapping as this collection doesn't have exclusive dc metadata --><!-- this will replace the dc:publisher element from the main set -->
+	  <element name="dc:publisher">
+	    <mapping elements="dls.Organization"/>
+	  </element>
+	</metadataFormat>
+      </ListMetadataFormats>
+    </serviceRack>
+  </serviceRackList>
 </CollectionConfig>