Index: gs3-extensions/solr/trunk/src/collect/solr-jdbm-demo/etc/collectionConfig.xml
===================================================================
--- gs3-extensions/solr/trunk/src/collect/solr-jdbm-demo/etc/collectionConfig.xml	(revision 30591)
+++ gs3-extensions/solr/trunk/src/collect/solr-jdbm-demo/etc/collectionConfig.xml	(revision 30642)
@@ -2,48 +2,48 @@
 <CollectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
-	<metadataList>
-		<metadata lang="en" name="creator"/>
-		<metadata lang="en" name="maintainer"/>
-		<metadata lang="en" name="public">true</metadata>
-	</metadataList>
-
-	<displayItemList>
-		<displayItem assigned="true" lang="en" name="name">Solr Demo</displayItem> 
-		<displayItem assigned="true" lang="en" name="description">This is a demonstration collection for the Greenstone3 digital library software. It contains a small subset (11 books) from the Humanity Development Library. It is similar to the Lucene demo collection, using JDBM for the database but uses Solr instead for indexing. Solr offers faceted browsing of search results.</displayItem>
-		<displayItem lang="en" name="shortDescription">Demonstration collection using Solr as the indexer and JDBM as the metadata database.</displayItem> 
-	</displayItemList>
-
-	<format>
-	  <!-- Define any global format statements here -->
-
-	  <!-- Setting the RSS option to true here will display a link to the collection's RSS feed on all
-	       pages of the collection. Can include the RSS feed link in section specific format statements
-	       too, such as search, if wishing to display the link only in particular sections.-->
-	  <gsf:option name="RSS" value="true"/>
-	</format>
-
-	<search type="solr">
-		<level name="section">
-			<displayItem lang="en" name="name">chapter</displayItem>
-		</level>
-		<level name="document">
-			<displayItem lang="en" name="name">book</displayItem>
-		</level>
-		<defaultLevel name="section"/>
-		<index name="allfields">
-			<displayItem lang="en" name="name">all fields</displayItem>
-		</index>
-		<index name="text">
-			<displayItem lang="en" name="name">text</displayItem>
-		</index>
-		<index name="dc.Title,Title">
-			<displayItem lang="en" name="name">titles</displayItem>
-		</index>
-		<index name="dc.Subject">
-			<displayItem lang="en" name="name">subjects</displayItem>
-		</index>
-		<index name="dls.Organization">
-			<displayItem lang="en" name="name">organisations</displayItem>
-		</index>
+  <metadataList>
+    <metadata lang="en" name="creator"/>
+    <metadata lang="en" name="maintainer"/>
+    <metadata lang="en" name="public">true</metadata>
+  </metadataList>
+
+  <displayItemList>
+    <displayItem assigned="true" lang="en" name="name">Solr Demo</displayItem> 
+    <displayItem assigned="true" lang="en" name="description">This is a demonstration collection for the Greenstone3 digital library software. It contains a small subset (11 books) from the Humanity Development Library. It is similar to the Lucene demo collection, using JDBM for the database but uses Solr instead for indexing. Solr offers faceted browsing of search results.</displayItem>
+    <displayItem lang="en" name="shortDescription">Demonstration collection using Solr as the indexer and JDBM as the metadata database.</displayItem> 
+  </displayItemList>
+
+  <format>
+    <!-- Define any global format statements here -->
+
+    <!-- Setting the RSS option to true here will display a link to the collection's RSS feed on all
+	 pages of the collection. Can include the RSS feed link in section specific format statements
+	 too, such as search, if wishing to display the link only in particular sections.-->
+    <gsf:option name="RSS" value="true"/>
+  </format>
+
+  <search type="solr">
+    <level name="section">
+      <displayItem lang="en" name="name">chapter</displayItem>
+    </level>
+    <level name="document">
+      <displayItem lang="en" name="name">book</displayItem>
+    </level>
+    <defaultLevel name="section"/>
+    <index name="allfields">
+      <displayItem lang="en" name="name">all fields</displayItem>
+    </index>
+    <index name="text">
+      <displayItem lang="en" name="name">text</displayItem>
+    </index>
+    <index name="dc.Title,Title">
+      <displayItem lang="en" name="name">titles</displayItem>
+    </index>
+    <index name="dc.Subject">
+      <displayItem lang="en" name="name">subjects</displayItem>
+    </index>
+    <index name="dls.Organization">
+      <displayItem lang="en" name="name">organisations</displayItem>
+    </index>
     <sort name="rank">
       <displayItem lang="en" name="name">rank</displayItem>
@@ -55,150 +55,150 @@
       <displayItem lang="en" name="name">build order</displayItem>
     </sort>
-   <facet name="dls.Organization">
+    <facet name="dls.Organization">
       <displayItem lang="en" name="name">organisations</displayItem>
     </facet>
-		<searchType name="plain"/>
-		<searchType name="simpleform"/>
-		<searchType name="advancedform"/>
-		<format>
-			<gsf:template match="documentNode">
-				<td valign="top">
-					<gsf:link type="document">
-						<gsf:icon type="document"/>
-					</gsf:link>
-				</td>
-				<td>
-					<gsf:link type="document">
-						<gsf:choose-metadata>
-							<gsf:metadata name="dc.Title"/>
-							<gsf:metadata name="exp.Title"/>
-							<gsf:metadata name="ex.dc.Title"/>
-							<gsf:metadata name="Title"/>
-							<gsf:default>Untitled</gsf:default>
-						</gsf:choose-metadata>
-					</gsf:link>
-				</td>
+    <searchType name="plain"/>
+    <searchType name="simpleform"/>
+    <searchType name="advancedform"/>
+    <format>
+      <gsf:template match="documentNode">
+	<td valign="top">
+	  <gsf:link type="document">
+	    <gsf:icon type="document"/>
+	  </gsf:link>
+	</td>
+	<td>
+	  <gsf:link type="document">
+	    <gsf:choose-metadata>
+	      <gsf:metadata name="dc.Title"/>
+	      <gsf:metadata name="exp.Title"/>
+	      <gsf:metadata name="ex.dc.Title"/>
+	      <gsf:metadata name="Title"/>
+	      <gsf:default>Untitled</gsf:default>
+	    </gsf:choose-metadata>
+	  </gsf:link>
+	</td>
 	
-			</gsf:template>
-		</format>
-	</search>
-	<infodb type="jdbm"/>
-	<import>
-		<pluginList>
-			<plugin name="GreenstoneXMLPlugin"/>
-			<plugin name="HTMLPlugin">
-				<option name="-description_tags"/>
-			</plugin>
-			<plugin name="MetadataXMLPlugin"/>
-			<plugin name="ArchivesInfPlugin"/>
-			<plugin name="DirectoryPlugin"/>
-		</pluginList>
-	</import>
+      </gsf:template>
+    </format>
+  </search>
+  <infodb type="jdbm"/>
+  <import>
+    <pluginList>
+      <plugin name="GreenstoneXMLPlugin"/>
+      <plugin name="HTMLPlugin">
+	<option name="-description_tags"/>
+      </plugin>
+      <plugin name="MetadataXMLPlugin"/>
+      <plugin name="ArchivesInfPlugin"/>
+      <plugin name="DirectoryPlugin"/>
+    </pluginList>
+  </import>
   <importOption name="OIDtype" value="dirname"/>
   <buildOption name="sections_sort_on_document_metadata" value="unless_section_metadata_exists"/>
-	<browse>
-		<classifier name="List">
-			<option name="-metadata" value="dc.Title"/>
-			<option name="-partition_type_within_level" value="constant_size"/>
-		</classifier>
-		<classifier name="Hierarchy">
-			<option name="-metadata" value="dc.Subject"/>
-			<option name="-sort" value="dc.Title"/>
-		</classifier>
-		<classifier name="List">
-			<option name="-metadata" value="dls.Organization"/>
-			<option name="-sort_leaf_nodes_using" value="dc.Title"/>
-			<option name="-partition_type_within_level" value="constant_size"/>
-			<option name="-bookshelf_type" value="always"/>
-			<option name="-buttonname" value="Organization"/>
-		</classifier>
-		<classifier name="List">
-			<option name="-metadata" value="dls.Keyword"/>
-			<option name="-buttonname" value="Howto"/>
-			<option name="-partition_type_within_level" value="constant_size"/>
-			<format>
-			<gsf:template match="documentNode">
-				<td>
-					<gsf:link type="document">
-						<gsf:metadata name="dls.Keyword"/>
-					</gsf:link>
-				</td>
-			</gsf:template>
-			<gsf:template match="classifierNode">
-				<td>
-					<gsf:link type="classifier">
-						<gsf:metadata name="Title"/>
-					</gsf:link>
-				</td>
-			</gsf:template>
-		</format>
-		</classifier>
-		<format>
-			<gsf:template match="documentNode">
-				<td valign="top">
-					<gsf:link type="document">
-						<gsf:icon type="document"/>
-					</gsf:link>
-				</td>
-				<td valign="top">
-					<gsf:link type="document">
-						<gsf:choose-metadata>
-							<gsf:metadata name="dc.Title"/>
-							<gsf:metadata name="Title"/>
-							<gsf:default>Untitled</gsf:default>
-						</gsf:choose-metadata>
-					</gsf:link>
-				</td>
-			</gsf:template>
-			<gsf:template match="classifierNode[@classifierStyle = 'VList']">
-				<td valign="top">
-					<gsf:link type="classifier">
-						<gsf:icon type="classifier"/>
-					</gsf:link>
-				</td>
-				<td valign="top">
-						<gsf:metadata name="Title"/>
-				</td>
-			</gsf:template>
-			<gsf:template match="classifierNode[@classifierStyle = 'HList']">
-				<gsf:link type="classifier">
-					<gsf:metadata name="Title"/>
-				</gsf:link>
-			</gsf:template>
-		</format>
-	</browse>
-	<display>
-		<format>
-			<gsf:option name="TOC" value="true"/>
-			
-			<gsf:headMetaTags>
-			  <gsf:metadata name="dc.Title"/>
-			  <gsf:metadata name="dc.Subject"/>
-			  <gsf:metadata name="dls.Organization"/>
-			</gsf:headMetaTags>
-
-		</format>
-	</display>
-	<replaceListRef id="gs2-standard"/>
-	<serviceRackList>
-	  <serviceRack name="RSSRetrieve"/>
-	  <!-- comment out the following serviceRack if you want to disable OAI for this collection -->
-	  <serviceRack name="OAIPMH">
-	    <setName>Solr demo collection</setName>
-	    <setDescription>A demo collection for Greenstone3, using Solr and JDBM.</setDescription>
-	    <!-- uncomment the following and set the name attribute if you want this
-		 collection to be part of a super set. -->
-	    <!--<oaiSuperSet name="xxx"/>-->
-	    <ListMetadataFormats>
-	      <!--What metadata sets to support for this collection. You can select any set that is specified in OAIConfig.xml. To use a new set, you need to add a set definition in OAIConfig.xml, then reference it here, like:
-		       <metadataFormat metadataPrefix="prefix"/> -->
-	      <metadataFormat metadataPrefix="oai_dc">
-		<!--   a custom mapping as this collection doesn't have exclusive dc metadata --><!-- this will replace the dc:publisher element from the main set -->
-		<element name="dc:publisher">
-		  <mapping elements="dls.Organization"/>
-		</element>
-	      </metadataFormat>
-	    </ListMetadataFormats>
-	  </serviceRack>
-	</serviceRackList>
+  <browse>
+    <classifier name="List">
+      <option name="-metadata" value="dc.Title"/>
+      <option name="-partition_type_within_level" value="constant_size"/>
+    </classifier>
+    <classifier name="Hierarchy">
+      <option name="-metadata" value="dc.Subject"/>
+      <option name="-sort" value="dc.Title"/>
+    </classifier>
+    <classifier name="List">
+      <option name="-metadata" value="dls.Organization"/>
+      <option name="-sort_leaf_nodes_using" value="dc.Title"/>
+      <option name="-partition_type_within_level" value="constant_size"/>
+      <option name="-bookshelf_type" value="always"/>
+      <option name="-buttonname" value="Organization"/>
+    </classifier>
+    <classifier name="List">
+      <option name="-metadata" value="dls.Keyword"/>
+      <option name="-buttonname" value="Howto"/>
+      <option name="-partition_type_within_level" value="constant_size"/>
+      <format>
+	<gsf:template match="documentNode">
+	  <td>
+	    <gsf:link type="document">
+	      <gsf:metadata name="dls.Keyword"/>
+	    </gsf:link>
+	  </td>
+	</gsf:template>
+	<gsf:template match="classifierNode">
+	  <td>
+	    <gsf:link type="classifier">
+	      <gsf:metadata name="Title"/>
+	    </gsf:link>
+	  </td>
+	</gsf:template>
+      </format>
+    </classifier>
+    <format>
+      <gsf:template match="documentNode">
+	<td valign="top">
+	  <gsf:link type="document">
+	    <gsf:icon type="document"/>
+	  </gsf:link>
+	</td>
+	<td valign="top">
+	  <gsf:link type="document">
+	    <gsf:choose-metadata>
+	      <gsf:metadata name="dc.Title"/>
+	      <gsf:metadata name="Title"/>
+	      <gsf:default>Untitled</gsf:default>
+	    </gsf:choose-metadata>
+	  </gsf:link>
+	</td>
+      </gsf:template>
+      <gsf:template match="classifierNode[@classifierStyle = 'VList']">
+	<td valign="top">
+	  <gsf:link type="classifier">
+	    <gsf:icon type="classifier"/>
+	  </gsf:link>
+	</td>
+	<td valign="top">
+	  <gsf:metadata name="Title"/>
+	</td>
+      </gsf:template>
+      <gsf:template match="classifierNode[@classifierStyle = 'HList']">
+	<gsf:link type="classifier">
+	  <gsf:metadata name="Title"/>
+	</gsf:link>
+      </gsf:template>
+    </format>
+  </browse>
+  <display>
+    <format>
+      <gsf:option name="TOC" value="true"/>
+      
+      <gsf:headMetaTags>
+	<gsf:metadata name="dc.Title"/>
+	<gsf:metadata name="dc.Subject"/>
+	<gsf:metadata name="dls.Organization"/>
+      </gsf:headMetaTags>
+
+    </format>
+  </display>
+  <replaceListRef id="gs2-standard"/>
+  <serviceRackList>
+    <serviceRack name="RSSRetrieve"/>
+    <!-- comment out the following serviceRack if you want to disable OAI for this collection -->
+    <serviceRack name="OAIPMH">
+      <setName>Solr demo collection</setName>
+      <setDescription>A demo collection for Greenstone3, using Solr and JDBM.</setDescription>
+      <!-- uncomment the following and set the name attribute if you want this
+	   collection to be part of a super set. -->
+      <!--<oaiSuperSet name="xxx"/>-->
+      <ListMetadataFormats>
+	<!--What metadata sets to support for this collection. You can select any set that is specified in OAIConfig.xml. To use a new set, you need to add a set definition in OAIConfig.xml, then reference it here, like:
+	    <metadataFormat metadataPrefix="prefix"/> -->
+	<metadataFormat metadataPrefix="oai_dc">
+	  <!--   a custom mapping as this collection doesn't have exclusive dc metadata --><!-- this will replace the dc:publisher element from the main set -->
+	  <element name="dc:publisher">
+	    <mapping elements="dls.Organization"/>
+	  </element>
+	</metadataFormat>
+      </ListMetadataFormats>
+    </serviceRack>
+  </serviceRackList>
 </CollectionConfig>