Index: main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_gu.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_gu.properties	(revision 30506)
+++ main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_gu.properties	(revision 30645)
@@ -2,67 +2,127 @@
 
 ## Service Names
-TextQuery.submit=àª¶à«àª§
+TextQuery.name:àªà«àªà«àªžà«àª àª¶à«àª§
+TextQuery.description:àª«à«àª²àªà«àªà«àªžà«àª àª
+àªšà« /àª
+àª¥àªµàªŸ àª®à«àªàªŸàª¡à«àªàªŸ àª¶à«àª§ àªžà«àªµàªŸ
+TextQuery.submit:àª¶à«àª§
 
-FieldQuery.submit=àª¶à«àª§
+FieldQuery.name:àª¶à«àª§ àª€à«àª¯àªŸàª° àªàª°à«
+FieldQuery.description:àª«àª¿àª²à«àª¡ àªžàªŸàª¥à«àªšà«Â  àªžàª°àª³ àª¶à«àª§
+FieldQuery.submit:àª¶à«àª§
 
-AdvancedFieldQuery.submit=àª¶à«àª§
+AdvancedFieldQuery.name:àªàª¡àªµàªŸàªšà«àªžà«àª¡ àª¶à«àª§
+AdvancedFieldQuery.description:àªàª¡àªµàªŸàªšà«àªž àª«àª¿àª²à«àª¡ àªžàªŸàª¥à«àªšà«àª àª¶à«àª§
+AdvancedFieldQuery.submit:àª¶à«àª§
 
+RawQuery.name:àª°à« àª¶à«àª§
+RawQuery.description:àª°à« àª«àª¿àª²à«àª¡à«àª¡ àª¶à«àª§
+RawQuery.submit:àª°à« àª¶à«àª§
 
-ClassifierBrowse.name=àª¬à«àª°àªŸàªàª
+ClassifierBrowse.name:àª¬à«àª°àªŸàªàª
+ClassifierBrowse.description:àª
+àªàªŸàª àªšàªà«àªà« àªàª°à«àª² àªµàª°à«àªà«àªàª°àª£àªšà« àª¹àªŸàª¯àª°àªŸàª°à«àªà«
+ClassifierBrowse.classifier_help:{0} àª¥à« àª¬à«àª°àªŸàªàª
 
+PhindApplet.name:àª¶àª¬à«àªŠàªžàª®à«àª¹ àª¬à«àª°àªŸàªàª àªàª°à«
+PhindApplet.description:Java applet àªàªà«àªžàªà«àª°à«àªà«àª àªàª°à«àª² àª¶àª¬à«àªŠàªžàª®à«àª¹àªšà« àª¹àªŸàª¯àª°àªŸàª°à«àªà« àª¬à«àª°àªŸàªàª àªàª°àªµàªŸ àª®àªŸàªà«àªšà« àªªàª°àªµàªŸàªšàªà« àªàªªà« àªà«
 
 
 # search parameters
+param.index:àªà«àª®àªŸàª àª¶à«àª§ àªàª°àªµàªŸàªšà« àªà« àª€à« àªàªšà«àª¡à«àªà«àª·
+param.indexSubcollection:àªªà«àªàªŸ àªžàªàªà«àª°àª¹ àªàªšà«àª¡à«àªà«àª·
+param.indexLanguage:àªàªšà«àª¡à«àªà«àª·àªšà« àª­àªŸàª·àªŸ
+param.maxDocs:àªµàª§à«àª®àªŸàª àªµàª§à« àª¹àª¿àªà«àªž àª®à«àª³àªµà« àªà«àªàª
+param.query:àªàªµà«àª°à« àªžà«àªà«àª°à«àªàª
+param.rawquery:àª°à« àªàªµà«àª°à« àªžà«àªà«àª°à«àªàª
+param.hitsPerPage:àªŠàª°à«àª àªªàªŸàªšàªŸ àªŠà«àª  àª¹àª¿àªà«àªž
+param.startPage:àªªàªŸàªšàªŸàª¥à« àªàªŸàª²à« àªàª°à«
 
-param.boolean.on=àªàªŸàª²à«
-param.boolean.off=àª¬àªàª§
-param.matchMode.all=àª€àª®àªŸàª®
-param.matchMode.some=àª
+param.stem:àªžà«àªà«àª®àª¿àªšà«àª àªàªŸàª²à« àªàª°à«
+param.case:àªà«àªžàª«à«àª²à«àª¡àª¿àªàª àªàªŸàª²à« àªàª°à«
+param.accent:àªàªà«àªžàªšà«àªàª«à«àª²à«àª¡àª¿àªàªàªšà« àªàªŸàª²à« àªàª°à«
+param.boolean.on:àªàªŸàª²à«
+param.boolean.off:àª¬àªàª§
+param.matchMode:àªà«àª àªµà«
+param.matchMode.all:àª€àª®àªŸàª®
+param.matchMode.some:àª
 àª®à«àª
 
-param.sortBy.0=àªà«àª°àª® àª¬à«àª²à«àª¡ àªàª°à« 
-param.sortBy.none=àªà«àª°àª® àª¬à«àª²à«àª¡ àªàª°à« 
-param.sortOrder.0=àªàª¢àª€àªŸ
-param.sortOrder.1=àªàª€àª°àª€àªŸ 
-param.reverseSort.0=àª¬àªàª§
-param.reverseSort.1=àªàªŸàª²à«
-param.fqs=àªžà«àªà«àª® 
+param.level:àªà«àª®àªŸàª àª¶à«àª§ àªàª°àªµàªŸàªšà« àªà« àª€à« àªà«àª°à«àªšà«àª¯à«àª²àªŸàª°àª¿àªàª¿
+param.sortBy:àª¥à« àª¶à«àª§ àªªàª°àª¿àª£àªŸàª®à« àªžà«àª°à«àª àªàª°à«
+param.sortBy.1:àª°à«àªšà«àª
+param.sortBy.0:àªà«àª°àª® àª¬à«àª²à«àª¡ àªàª°à«
+param.sortBy.rank:àª°à«àªšà«àª
+param.sortBy.none:àªà«àª°àª® àª¬à«àª²à«àª¡ àªàª°à«
+param.sortOrder:àªžà«àª°à«àª àªàª°àªµàªŸ àª®àªŸàªà«àªšà« àªà«àª°àª®
+param.sortOrder.0:àªàª¢àª€àªŸ
+param.sortOrder.1:àªàª€àª°àª€àªŸ
+param.reverseSort:àªàª²àªà«àª àªžà«àª°à«àª
+param.reverseSort.0:àª¬àªàª§
+param.reverseSort.1:àªàªŸàª²à«
+param.fqv:àª¶àª¬à«àªŠ àª
+àª¥àªµàªŸ àª¶àª¬à«àªŠ àªžàª®à«àª¹
+param.fqf:àª«àª¿àª²à«àª¡àª®àªŸàª
+param.fqf.all:àª¬àª§àªŸ àª«àª¿àª²à«àª¡
+param.fqs:àªžà«àªà«àª®
+param.fqc:àªà«àªžàª«à«àª²à«àª¡
+param.fqk:
+param.fqk.0:àª
+àªšà«
+param.fqk.1:àª
+àª¥àªµàªŸ
+param.fqk.2:àªšàª¹àª¿
+param.fqa:àªàªà«àªžà«àªšà«àªàª«à«àª²à«àª¡
 
 #levels 
-level.document=àªªà«àª°àª²à«àªà«
-level.Doc=àªªà«àª°àª²à«àªà«
-level.section=àªµàª¿àª­àªŸàª
-level.Sec=àªµàª¿àª­àªŸàª
-level.paragraph=àª«àªàª°à«
-level.Para=àª«àªàª°à«
+level.document:àªªà«àª°àª²à«àªà«
+level.Doc:àªªà«àª°àª²à«àªà«
+level.section:àªµàª¿àª­àªŸàª
+level.Sec:àªµàª¿àª­àªŸàª
+level.paragraph:àª«àªàª°à«
+level.Para:àª«àªàª°à«
+level.book:àªªà«àªžà«àª€àª
+level.chapter:àªªà«àª°àªàª°àª£
 
 ## Authentication
-Authentication.name=àªµàª¹àª¿àªµàªà« àªªàªŸàªšà«àª
+Authentication.name:àªµàª¹àª¿àªµàªà« àªªàªŸàªšà«àª
+Authentication.description:àªàªªàª­à«àªà«àª€àªŸàªšà«àª àªžàªàªàªŸàª²àªš àªàª°àªµàªŸ àª®àªŸàªà« àª€àª®àªšà« àªà«àª àªàªªà« àªà«
 
 ## Authentication services
-ListUsers.description=àªàªªàª­à«àªà«àª€àªŸàªšà« àª¯àªŸàªŠà«
+ListUsers.name:àªàªªàª­à«àªà«àª€àªŸàªšàªŸàª®
+ListUsers.submit:àª®à«àªàª²à«
+ListUsers.description:àªàªªàª­à«àªà«àª€àªŸàªšà« àª¯àªŸàªŠà«
 
+AddUser.name:àªàªªàª­à«àªà«àª€àªŸàªšàªŸàª®
+AddUser.submit:àª®à«àªàª²à«
+AddUser.description:àªàªªàª­à«àªà«àª€àªŸ àªàª®à«àª°à«
 
 ## Authentication params
-param.un=àªàªªàª­à«àªà«àª€àªŸàªšàªŸàª®
-param.pw=àªªàªŸàªžàªµàª°à«àª¡
-param.com=àª
+param.un:àªàªªàª­à«àªà«àª€àªŸàªšàªŸàª®
+param.pw:àªªàªŸàªžàªµàª°à«àª¡
+param.com:àª
 àª­àª¿àªªà«àª°àªŸàª¯
-param.boolean.enabled=àªžàªà«àª°àª¿àª¯ àªàª°à«àª¯à«
-param.boolean.disabled=àªšàª¿àª·à«àªàª¿àª¯ àªàª°à«àª¯à«
-param.as=àªàªŸàª€àªŸàªšà« àªžà«àª¥àª¿àª€àª¿
-param.gp=àªžàª®à«àª¹à«
-param.npw=àªšàªµà« àªªàªŸàªžàªµàª°à«àª¡
-param.rnpw=àªšàªµà« àªªàªŸàªžàªµàª°à«àª¡ àª¬à«àªà«àªµàªŸàª° àªàªŸàªàªª àªàª°à«.
+param.boolean.enabled:àªžàªà«àª°àª¿àª¯ àªàª°à«àª¯à«
+param.boolean.disabled:àªšàª¿àª·à«àªàª¿àª¯ àªàª°à«àª¯à«
+param.as:àªàªŸàª€àªŸàªšà« àªžà«àª¥àª¿àª€àª¿
+param.gp:àªžàª®à«àª¹à«
+param.npw:àªšàªµà« àªªàªŸàªžàªµàª°à«àª¡
+param.rnpw:àªšàªµà« àªªàªŸàªžàªµàª°à«àª¡ àª¬à«àªà«àªµàªŸàª° àªàªŸàªàªª àªàª°à«.
 
 
 
 ## CrossCollectionSearch specific strings
-CrossCollectionSearch.TextQuery.submit=àª¶à«àª§
+CrossCollectionSearch.TextQuery.name:àªàª àª àªžàª®àª¯à« àªàª àªàª°àª€àªŸ àªµàª§àªŸàª°à« àªžàªàªà«àª°àª¹àª®àªŸàªÂ  àª¶à«àª§
+CrossCollectionSearch.TextQuery.description:àª¬àª¹à«àªµàª¿àª§Â  àªžàªàªà«àª°àª¹à«àª®àªŸàª àª¶à«àª§ àª®àªŸàªà«
+CrossCollectionSearch.TextQuery.submit:àª¶à«àª§
+CrossCollectionSearch.param.query:àªàªµà«àª°à« àªžà«àªà«àª°à«àªàª
+CrossCollectionSearch.param.collection:àªà«àª®àªŸàª àª¶à«àª§ àªàª°àªµàªŸàªšà« àªà« àª€à« àªžàªàªà«àª°àª¹à«
+CrossCollectionSearch.param.collection.all:àª¬àª§àªŸ àª àªžàªàªà«àª°àª¹à«
+CrossCollectionSearch.param.maxDocs:àªŠàª° àªžàªàªà«àª°àª¹ àªŠà«àª  àªµàª§àªŸàª°à«àª®àªŸàª àªµàª§àªŸàª°à« àªªà«àª°àª²à«àªà«àªšà« àªžàªàªà«àª¯àªŸ
 
 
 ## LuceneSearch specific strings
-LuceneSearch.TextQuery.name=àª¶à«àª§
-LuceneSearch.TextQuery.submit=àª¶à«àª§
-
-
+LuceneSearch.TextQuery.name:àª¶à«àª§
+LuceneSearch.TextQuery.description:XML àª®àªŸàªà«àªšà« àªžàª°àª³ àª¶à«àª§ àªžà«àªµàªŸ
+LuceneSearch.TextQuery.submit:àª¶à«àª§
+LuceneSearch.param.query:àª€àª®àªŸàª°à« àªàªµà«àª°à« àªžà«àªà«àª°à«àªàª àªŠàªŸàªàª² àªàª°à«