Index: main/trunk/greenstone2/perllib/strings_ja.properties
===================================================================
--- main/trunk/greenstone2/perllib/strings_ja.properties	(revision 30653)
+++ main/trunk/greenstone2/perllib/strings_ja.properties	(revision 30654)
@@ -53,4 +53,6 @@
 #
 
+scripts.language:ãªãã·ã§ã³ã®èšè¿°ïŒäŸ'en_US' ã¯ American EnglishãæãïŒ perllib/strings_language-code.rbãã¡ã€ã«ã«å­åšãããªãã·ã§ã³ã®èšè¿°ã®ç¿»èš³ãå¿
+èŠãšããã
 
 scripts.xml:'pretty'ã³ã¡ã³ããªãã§ãå€ãã®è©³çŽ°ã®ããXMLãã©ãŒã ã®æ
@@ -75,4 +77,5 @@
 # -- buildcol.pl --
 
+buildcol.activate:buildcol ãçµäºããããšactivate.pl ãå®è¡ãããã€ã³ããã¯ã¹ã®æ§ç¯ãžãšç§»åããã
 
 buildcol.archivedir:ã¢ãŒã«ã€ããåããŠããå Žæã
@@ -88,4 +91,5 @@
 buildcol.copying_back_cached_build:ã­ã£ãã·ã¥ããããã«ããžã³ããŒãçŽã
 
+buildcol.copying_rss_items_rdf:%s ãã %sã®éã®rss-items.rdfãã³ããŒãã
 
 buildcol.create_images:æ°èŠã³ã¬ã¯ã·ã§ã³ãžãããªã«ãã®ç»åãçæããããšãããããã¯ perlããã®ã¹ã¯ãªãããå¯èœãªé¢é£ããperlã¢ãžã¥ãŒã«ã«åŸã£ãŠã€ã³ã¹ããŒã«ãããGimpã«äŸå­ããã
@@ -102,5 +106,11 @@
 šãŠãæ§ç¯ããïŒã
 
-
+buildcol.indexname:æ§ç¯ãããã€ã³ããã¯ã¹åïŒããèš­å®ãããªããã°configãã¡ã€ã«å
+ã«å
+šãŠæ§ç¯ãããïŒ
+
+buildcol.indexlevel:æ§ç¯ããã€ã³ããã¯ã¹ã®ã¬ãã«ïŒããèš­å®ãããªããã°ã config ãã¡ã€ã«å
+ã«å
+šãŠæ§ç¯ãããïŒ
 
 buildcol.incremental:ä»¥åã«æ§ç¯ããããã®ã®ãªãç®æ¬¡ã®ãã­ã¥ã¡ã³ãã®ã¿ãã -keepoldãå«ããLuceneã®ã€ã³ãã¯ãµâã«äŸå­ããã
@@ -116,4 +126,6 @@
 buildcol.mode.compress_text:ãã­ã¹ããå§çž®ããã ãã
 buildcol.mode.infodb:ã¡ã¿ããŒã¿ã»ããŒã¿ããŒã¹ãæ§ç¯ããã ãã
+buildcol.mode.extra:äž»èŠãªã€ã³ããã¯ã¹äœæã®æ®µéãçç¥ããç¹å¥ã®ïŒç°ãªã£ãæ¬¡å
+ã®ïŒãã¹ã®ã¿ãæ§ç¯ããã
 
 buildcol.no_default_images:ãããªã«ãç»åã¯çæãããªãã
@@ -123,8 +135,10 @@
 buildcol.no_strip_html:ã€ã³ããã¯ã¹ããããã­ã¹ãïŒ mgppã³ã¬ã¯ã·ã§ã³ã«ã®ã¿äœ¿çšãããïŒãã htmlã¿ã°ãåé¢ããªãã§äžããã
 
+buildcol.store_metadata_coverage:ã©ã®ã¡ã¿ããŒã¿ã»ãããã³ã¬ã¯ã·ã§ã³ã§äœ¿çšãããŠãããã®çµ±èšãå«ã¿ãå®éã®ã¡ã¿ããŒã¿çšèªãäœ¿çšãããŠããããå«ããããã¯ã³ã¬ã¯ã·ã§ã³æ§ç¯ã§ãç¹å®ã®ã³ã¬ã¯ã·ã§ã³ã§äœ¿çšãããã¡ã¿ããŒã¿ã®å€ããªã¹ãããéã«åœ¹ç«ã€ã
 
 buildcol.no_text:å§çž®ããããã­ã¹ããä¿å­ããªãã§äžããããã€ã§ããªãªãžãã«ã®ãã­ã¥ã¡ã³ããã©ã³ã¿ã€ã ã§è¡šç€ºãããæïŒå§çž®ããããã­ã¹ãã®ããŒãžã§ã³ãæ€çŽ¢ã§ããªãæïŒãã®ãªãã·ã§ã³ã¯æ§ç¯ãããçŽ¢åŒã®ãµã€ãºãæå°åããã®ã«æå¹ã§ããã
 
 buildcol.sections_index_document_metadata:ã»ã¯ã·ã§ã³ã¬ãã«ã®ãã­ã¥ã¡ã³ãã»ã¬ãã«ã»ã¡ã¿ããŒã¿ãã€ã³ããã¯ã¹ããã
+buildcol.sections_sort_on_document_metadata:ïŒã«ã·ãŒã³ã®ã¿ïŒãœãŒãçšã«ã»ã¯ã·ã§ã³ã¬ãã«ã§ãã­ã¥ã¡ã³ãã¬ãã«ã®ã¡ã¿ããŒã¿ãè¿œå ããã
 buildcol.sections_index_document_metadata.never:ã»ã¯ã·ã§ã³ã»ã¬ãã«ã®ãã­ã¥ã¡ã³ããã»ã¡ã¿ããŒã¿ãã€ã³ããã¯ã¹ããªãã§äžããã
 buildcol.sections_index_document_metadata.always:ã»ã¯ã·ã§ã³ã»ã¬ãã«ã»ã¡ã¿ããŒã¿ã®ååãå­åšããªããã°å
@@ -260,10 +274,14 @@
 import.cannot_open_fail_log:è­ŠåïŒfail log %sãéããªã
 
-
-#import.cannot_read_earliestdatestamp:è­ŠåïŒ%s.\nSetting value to 0ããã³ã¬ã¯ã·ã§ã³ã®earliestDatestampcountãèª­ãããšãã§ããŸããã
+import.cannot_read_OIDcount:è­ŠåïŒ %s.\nSettingå€ãã0ãŸã§èšç®ãããOIDãã­ã¥ã¡ã³ããèª­ã¿ãšããŸããã
+
+# import.cannot_read_earliestdatestamp:Warning: unable to read collection's earliestDatestampcount from %s.\nSetting value to 0.
 
 import.cannot_sort:è­ŠåïŒgroupsize > 1. sortmeta ãªãã·ã§ã³ãç¡èŠããããšimport.plããã­ã¥ã¡ã³ãããœãŒãã§ããªãã
 
-
+import.cannot_write_earliestdatestamp:%så
+ã®ã³ã¬ã¯ã·ã§ã³ã®earliestDatestampãèç©ããããšãã§ããŸããã
+
+import.cannot_write_OIDcount:è­ŠåïŒ%sã§ã«ãŠã³ããããOIDãã­ã¥ã¡ã³ããèç©ããããšãã§ããŸããã
 
 import.collectdir:ãæ­£ããããã€ã¬ã¯ããªãŒã®ãã¹ã
@@ -296,4 +314,9 @@
 import.OIDtype:åãã­ã¥ã¡ã³ãã®ç¹å®ã®è­å¥å­ãçæããã®ã«äœ¿çšããæ¹æ³ã
 import.OIDtype.hash:ãã¡ã€ã«ã®ã³ã³ãã³ããããã·ã¥ããã
+import.OIDtype.hash_on_ga_xml:Greenstoneã®ã¢ãŒã«ã€ãXMLã®ã³ã³ãã³ããããã·ã¥ããããã­ã¥ã¡ã³ãã®è­å¥å­ã¯ã¡ã¿ããŒã¿ãå€æŽãããªãéãã³ã¬ã¯ã·ã§ã³ãã€ã³ããŒããããéã«ã¯åžžã«åäžã§ããã
+import.OIDtype.hash_on_full_filename:ïœ¢ã€ã³ããŒãïœ£ãã©ã«ããŒå
+ã®ãã­ã¥ã¡ã³ãã®å®å
+šãªãã¡ã€ã«åãããã·ã¥ãããã³ã¬ã¯ã·ã§ã³å
+ã®ã ã¶ã£ããã­ã¥ã¡ã³ãã¯èªåçã«æ€åºãããªãããã­ã¥ã¡ã³ãè­å¥å­ããœãããŠãšã¢ã®ã¢ããã°ã¬ãŒãã®éã«ããå®å®ãããã®ã«åœ¹ç«ã€ã
 
 import.OIDtype.incremental:ã·ã³ãã«ãªãã­ã¥ã¡ã³ãã»ã«ãŠã³ããäœ¿çšããã "hash"ããããªãæ©ãããã³ã¬ã¯ã·ã§ã³ãåã€ã³ããŒãããããªãã°ããªããããåäžã®è­å¥å­ãåäžã®ãã­ã¥ã¡ã³ãã«å²ãåœãŠãªãã
@@ -305,5 +328,12 @@
 è¡ãããïŒãäœ¿çšããããã€ã¬ã¯ããªãŒããšã«ãã­ã¥ã¡ã³ãã¯åäžã§ãªããã°ãªããããã€ã¬ã¯ããªãŒåã¯ç¹å®ã§ãªããã°ãªããªãã
 
-
+import.OIDtype.filename:æåŸå°Ÿã®ãã¡ã€ã«åãäœ¿çšããïŒãã¡ã€ã«æ¡åŒµå­ãªãïŒãç¹å®ã®ïœ¢ã€ã³ããŒãïœ£å
+ã®ç¬ç«ããïœ¢ã€ã³ããŒãïœ£å
+ã®ãã¹ãŠã®ãã©ã«ããŒãæšªæ­ããå
+šãã¡ã€ã«åãå¿
+èŠãšãããæ°å­ã®è­å¥å­ã¯ïœ¢Dïœ£ãé ­ã«ããã
+
+import.OIDtype.full_filename:ãã­ã¥ã¡ã³ãã®è­å¥å­ïŒãã¡ã€ã«åæ¡åŒµå­å
+ã®ãã€ã¬ã¯ããªãŒã»ãã¬ãŒã¿ãŒãšçµæ­¢ç¬Šãªã©ã®è±¡åŸŽ
 
 import.OIDmetadata:-OIDtype=assignedã§äœ¿çšããããã«ãã­ã¥ã¡ã³ãã®ç¹å®ã®è­å¥å­ãä¿æããã¡ã¿ããŒã¿ã»ãšã¬ã¡ã³ããç¹å®ããã
@@ -325,4 +355,5 @@
 import.sortmeta:æ§ç¯ã®ããã«ã¡ã¿ããŒã¿ãã¢ã«ãã¡ãããé ã«ãœãŒããããããŒã«ä»£æ°ã¯ãšãªãŒã®æ€çŽ¢çµæããã®é åºã§è¡šç€ºããããããã¯ if groupsize > 1ã®å Žåå©çšã§ããªãã
 
+import.sortmeta_paired_with_ArchivesInfPlugin:-sortmetaãæ€åºãããã¡ã¿ããŒã¿ïŒãããã¯ OIDïŒã«ãã£ãŠèŠæ±ããããœãŒããæå¹ã«ããããã«
 
 import.statsfile:ã€ã³ããŒãã®çµ±èšãå°å·ãããã¡ã€ã«åãããã¯åŠçã
@@ -358,4 +389,5 @@
 schedule.frequency.daily:æ¯æ¥åæ§ç¯ãã
 schedule.frequency.weekly:æ¯é±åæ§ç¯ãã
+schedule.filepath_warning:è­ŠåïŒschedule.plã¯Greenstoneãbrackets and/or spaces: %sãå«ããã¹ã«ã€ã³ã¹ããŒã«ãããŠããå Žåã¯äœåããªãã
 schedule.action:èªåçåæ§ç¯ã®ç«ã¡äžãæ¹
 schedule.action.add:èªååæ§ç¯ã®ã¹ã±ãžã¥ãŒã«
@@ -625,4 +657,5 @@
 BasClas.verbosity:ã¢ãŠããããã®éãå¶åŸ¡ããã 0=none, 3=lotsã
 
+Browse.desc:ãã­ãã¿ã€ãã®çµåããããã©ãŠãºããã³æ€çŽ¢ã®ãïŒãžçšã®ããã²ãŒã·ã§ã³ããŒã«ãªã³ã¯ãã€ããããã®åœã®åé¡å­ãmgppã®ã³ã¬ã¯ã·ã§ã³ã«å¯ŸããŠã®ã¿åäœãå°èŠæš¡ã®ã³ã¬ã¯ã·ã§ã³ã«ã®ã¿é©çšãããã
 
 DateList.bymonth:å¹Žã ãã«ããªãã§å¹Žæã§åé¡ããã
@@ -675,4 +708,8 @@
 
 List.desc:AZCompactListã®èœåã®äž»èŠéšåã§ããŠãã³ãŒããã¡ã¿ããŒã¿ããœãŒãæ©èœãããããä»å ãããŠããäžè¬çã§å€æŽå¯èœãªãªã¹ãåé¡å­ã
+List.filter_metadata:ãã­ã¥ã¡ã³ãã®åé¡å­ãžã®å
+å«ããã¹ãããããã®ã¡ã¿ããŒã¿ã®ãšã¬ã¡ã³ã
+List.filter_regex:filter_metadata ã®ãã¹ãã«äœ¿çšããæ­£èŠè¡šçŸãããæ­£èŠè¡šçŸãç¹å®ãããã°ããã®æ­£èŠè¡šçŸã«äžèŽãã filter_metadata ã®ãããã­ã¥ã¡ã³ãã ããå
+å«ãããã
 List.level_partition.none:None
 List.level_partition.per_letter:åæå­ã«ã€ããŠããŒãã£ã·ã§ã³ãäœæããã
@@ -683,4 +720,12 @@
 ã®ã¡ã¿ããŒã¿ã»ãã€ãŒã«ããåé¢ããããã«äœ¿çšããã
 
+List.metadata_selection_mode:åã¬ãã«å
+ã«ãã­ã¥ã¡ã³ããåé¡ããã¡ã¿ããŒã¿ã®å€æ°ãæ±ºå®ãããã¬ãã«ãåºå¥ããã®ã«'/'ãäœ¿çšãã
+List.metadata_selection.firstvalue:æåã«è¡šç€ºãããåäžã®ã¡ã¿ããŒã¿ã®å€ã«ãã£ãŠåé¡ãã
+List.metadata_selection.firstvalidmetadata:å€ããã€ãªã¹ãå
+ã®æåã®ãšã¬ã¡ã³ãã®ã¡ã¿ããŒã¿ã®å€ã«ãã£ãŠåé¡ãã
+List.metadata_selection.allvalues:ãªã¹ãå
+ã®ãã¹ãŠã®ãšã¬ã¡ã³ããããæ€çŽ¢ãããå
+šãŠã®ã¡ã¿ããŒã¿ã®å€ãåé¡ãã
 List.partition_name_length:ããŒãã£ã·ã§ã³åã®é·ã; ããã©ã«ãã§ã¯1ãã3æå­ã®è²ã
 ãªé·ãããããæåŸããå§ãŸãããŒãã£ã·ã§ã³ãåºå¥ããã®ã«ã©ãã ããå¿
@@ -698,4 +743,5 @@
 èŠã§ãããtxt fileã¯perl's lib/Unicode/Collate folderã«ããŠã³ã­ãŒããããã
 
+List.standardize_capitalization:ã¡ã¿ããŒã¿ã®å€ã¯ïœ¢æžæ¶ïœ£ã«ãœãŒãããããã«å°æå­ã§èšè¿°ããããïœ¢æžæ¶ïœ£ã®è¡šç€ºåã«ã€ããŠã®å°æå­ã®å€ãäœ¿çšããããã«ãã®ãªãã·ã§ã³ãèš­å®ãããå¥ã«ãå€§æå­ã®å€çš®ãäœ¿çšãããã
 
 List.use_hlist_for:vlistããhlistãäœ¿çšããã¡ã¿ããŒã¿ã»ãã€ãŒã«ãã ','ãã¡ã¿ããŒã¿ã»ã°ã«ãŒããåé¢ããã®ã«äœ¿çšãã';' ãåã°ã«ãŒãå
@@ -958,4 +1004,11 @@
 EmbeddedMetadataPlugin.desc:ããŸããŸãªãã¡ã€ã«åœ¢åŒããåãèŸŒãŸããã¡ã¿ããŒã¿ãæœåºãããã©ã°ã€ã³ãïŒïŒä»¥äžã®ãã¡ã€ã«ã»ãã©ãŒããããšïŒïŒã®ã¡ã¿ããŒã¿ã»ãã©ãŒãããã®ãµããŒããå«ãCPAN ã¢ãžã¥ãŒã« 'ExifToolã«ããšã¥ããŠããããã€ã©ã€ãã¯ä»¥äžãå«ãïŒ AVI, ASF, FLV, MPEG, OGG Vorbis, WMVãªã©ã®ãããªã»ãã©ãŒããã;BMP, GIF, JPEG, JPEG 2000 and  PNGãªã©ã®ç»åãã©ãŒããã;AIFF, RealAudio, FLAC, MP3, WAVãªã©ã®ãªãŒãã£ãªã»ãã©ãŒããã;Encapsulated PostScript, HTML, PDF, Wordãªã©ã®ãªãã€ã¹ã»ãã­ã¥ã¡ã³ãã»ãã©ãŒããã ;è©³çŽ°ã¯ExifToolã®ããŒã ããŒãžïŒhttp://www.sno.phy.queensu.ca/~phil/exiftool/ã§åç
 §ã§ãããã
+EmbeddedMetadataPlugin.join_before_split:ç¹å®ã®ã»ãã¬ãŒã¿ãŒãçšããŠïŒå Žåã«å¿ãïŒåå²ãããåã«ïŒèè
+ãã­ãŒã¯ãŒããªã©ïŒã®è€æ°ã®ãšã³ããªãŒã®ãã
+EmbeddedMetadataPlugin.join_character:join_before_split ã§äœ¿çšããïŒããã©ã«ãã§ã¯ã·ã³ã°ã«ã¹ããŒã¹ïŒæå­
+EmbeddedMetadataPlugin.trim_whitespace:æœåºãããã¡ã¿ããŒã¿ã®å€ïŒæ³šïŒããã¯join_before_split ã«ããçµåãããã¯metadata_field_separatorã«ããåå²ãéããŠçæãããããããå€ã«é©çšãããïŒã®å
+é ­ããæåŸå°ŸãŸã§ã®ç©ºçœã®ã¹ããŒã¹
+EmbeddedMetadataPlugin.set_filter_list:æ€çŽ¢ã«äœ¿çšãããã«ã³ãã§åºåãããã¡ã¿ããŒã¿ã»ãã
+EmbeddedMetadataPlugin.set_filter_regexp:æ€çŽ¢ã«äœ¿çšããã¡ã¿ããŒã¿ãéžæããæ­£èŠè¡šçŸ
 
 ExcelPlugin.desc:Microsoft ãšã¯ã»ã«ã»ãã¡ã€ã«(95ãš97ããŒãžã§ã³)ãã€ã³ããŒããããã©ã°ã€ã³ã
@@ -1237,8 +1290,20 @@
 PagedImagePlugin.documenttype:ãã­ã¥ã¡ã³ãã®åœ¢åŒãèš­å®ããïŒè¡šç€ºã«äœ¿çšããïŒ
 
-
+PagedImagePlugin.documenttype.auto2:ã¢ã€ãã ã®ãã¡ã€ã«åœ¢åŒã«ããšã¥ããã­ã¥ã¡ã³ãã®ã¿ã€ããèªåçã«ã»ãããããããŒãžä»ãããããã­ã¥ã¡ã³ãã«å¯ŸããŠïœ¢ããŒãžä»ããããïœ£ãäœ¿çšããå
+éšæ§é ã«ã€ããŠã®ãã­ã¥ã¡ã³ãïŒPageGroupãšã¬ã¡ã³ããå«ãXMLã¢ã€ãã ãã¡ã€ã«ãªã©ïŒã«å¯ŸããŠïœ¢éå±€ïœ£ãäœ¿çšããã
+PagedImagePlugin.documenttype.auto3:ã¢ã€ãã ãã¡ã€ã«åœ¢åŒã«åºã¥ããèªåçã«ã»ããããããã­ã¥ã¡ã³ãã¿ã€ããããŒãžã¥ãããããã­ã¥ã¡ã³ãã«ïœ¢ããžä»ããããïœ£ãäœ¿çšããå
+éšæ§é ã«ã€ããŠã®ãã­ã¥ã¡ã³ãïŒPageGroupãšã¬ã¡ã³ããå«ãXML
+
+PagedImagePlugin.documenttype.paged2:ããŒãžä»ãããããã­ã¥ã¡ã³ãã¯å
+éšæ§é ãæããªãçŽç·ç¶é
+åã§ãããïœ¢æ¬¡ã®ïœ£ãïœ¢åã®ïœ£ç¢å°ãšïœ¢pageXãžç§»åïœ£ããã¯ã¹ã§è¡šç€ºãããã
+PagedImagePlugin.documenttype.paged3:ããŒãžä»ãããããã­ã¥ã¡ã³ãã¯çŽç·ç¶é
+åã®ããŒãžãæã¡å
+éšæ§é ãæããªããããŒãžç»åã®ãªã¹ããã¹ã¯ã­ãŒã«ããããšã§è¡šç€ºãããã
 
 PagedImagePlugin.documenttype.hierarchy:éå±€çãã­ã¥ã¡ã³ãã«ã¯ a table of contentsããã
 
+PagedImagePlugin.documenttype.pagedhierarchy:ïŒGreenstone3ã®ã¿)ãããã®ãã­ã¥ã¡ã³ãã¯å
+éšæ§é ãšããŒãžã·ãŒã±ã³ã¹ãæã€ãã³ã³ãã³ãããŒãã«ãããŒãžã®ã¹ã¯ã­ãŒã«ãªã¹ãã§è¡šç€ºãããã
 
 PagedImagePlugin.headerpage:ãããã¬ãã«ã®ããããŒããŒãžïŒç»åãå«ãŸãªãïŒãåãã­ã¥ã¡ã³ãã«è¿œå ããã
@@ -1255,4 +1320,5 @@
 PDFPlugin.noimages:PDFããç»åãæœåºããããšããªãã§äžããã
 
+PDFPlugin.use_realistic_book:å®éã®æ¬ã®ãã©ãŒãããã§ãŠãŒã¶ãŒãã¥ãŒãäœ¿çšã§ããããã«PDFãæŽåãããXHTMLãã­ã¥ã¡ã³ãã«å€æãããã
 
 PDFPlugin.use_sections:PDFãã¡ã€ã«ã®åããŒãžã®å¥ã
@@ -1442,4 +1508,5 @@
 WgetDownload.proxy_on:Proxy on
 WgetDownload.proxy_host:Proxy host
+WgetDownload.proxy_port:ãã­ã­ã·ããŒã
 WgetDownload.user_name:ãŠãŒã¶ãŒå
 WgetDownload.user_password:ãŠãŒã¶ãŒã»ãã¹ã¯ãŒã
@@ -1459,5 +1526,5 @@
 
 #
-#Plugout option descriptions
+# Plugout option descriptions
 #
 
@@ -1468,7 +1535,7 @@
 BasPlugout.group_size:åäžã®XMLãã¡ã€ã«ã«ã°ã«ãŒãåãããäžé£ã®ãã­ã¥ã¡ã³ãã
 BasPlugout.gzip_output:gzipãæçµxmlãã­ã¥ã¡ã³ãã®å§çž®ã«äœ¿çšããïŒå§çž®ããããã­ã¥ã¡ã³ãããæ§ç¯ããæãã©ã°ã€ã³ã«ZIPPluginãå«ããããšãå¿ããªãããšïŒã
-#'
+# '
 BasPlugout.no_auxiliary_databases:archivesinfããŒã¿ããŒã¹-ãšã¯ã¹ããŒãã®éåœ¹ç«ã¡ãŸãããçæããªãã§ãã ããã
-#'
+# '
 BasPlugout.output_handle:ã¢ãŠããããã»ããŒã¿ãåãåãã®ã«äœ¿çšããããã¡ã€ã«è­å¥å­
 BasPlugout.output_info:ã¢ãŒã«ã€ãã«é¢ããæ
@@ -1477,8 +1544,11 @@
 BasPlugout.verbosity:ã¢ãŠããããã®éãå¶åŸ¡ããã 0=none, 3=lotsã
 BasPlugout.xslt_file:ååãã€ãããã¡ã€ã«ã®XSLTã§ãã­ã¥ã¡ã³ããå€æããã
+BasPlugout.subdir_hash_prefix:åå²ãããé·ãã®èšç®åŒã«ãããŠHAShãšããèªå¥ãã«ãŠã³ãããªãããã«ããç¹å¥ãªãã©ã°
+BasPlugout.subdir_split_length:ã¢ãŒã«ã€ããµããã£ã¬ã¯ããªãåå²ããä»¥åã®æå­ã®æå€§æ°
 BasPlugout.no_rss:RSS feed ãã¡ã€ã«ã®èªåçæç©ãå§çž®ããã
 BasPlugout.rss_title:ãã­ã¥ã¡ã³ãã®RSSãªã³ã¯ã®ããã®ã¿ã€ãã«ãç²åŸããããã«ããªãã¡ã¬ã³ã¹ã®é åºã§ãªã¹ãã¢ãããããã³ã³ãã§åºåãããã¡ã¿ããŒã¿ã®ãã£ãŒã«ãã®åå¥ã®ãªã¹ã
 
 DSpacePlugout.desc:Dspaceã¢ãŒã«ã€ãã»ãã©ãŒãããã
+DSpacePlugout.metadata_prefix:ã¡ã¿ããŒã¿ã®ããªãã§ãã¯ã¹ã®ã«ã³ãã«ãã£ãŠåºåããããªã¹ããããšãã°ããdlsãã«å¯ŸããŠãã®å€
 
 FedoraMETSPlugout.desc:Fedoraã®ãã­ãã¡ã€ã«ãçšããMETS ãã©ãŒãããã