Index: main/trunk/release-kits/shared/core/language-strings/LanguagePack_ja.properties
===================================================================
--- main/trunk/release-kits/shared/core/language-strings/LanguagePack_ja.properties	(revision 30039)
+++ main/trunk/release-kits/shared/core/language-strings/LanguagePack_ja.properties	(revision 30655)
@@ -1,15 +1,27 @@
 ### Language page ###
+page.language-selector.displayText:èšèª
+language-selector-explanation.displayText:ããªãã®äœ¿çšããèšèªãéžæããŠãã ãã
 # (Note: This installer has not been fully translated into all these languages yet)
 
 
 ### Intro Page ###
+page.intro.displayText:reenstone @ããŒãžã§ã³n@ã€ã³ã¹ããŒã©ïœ°
+welcome.displayText:Greenstone@version.major@ ã¯ããžã¿ã«ã©ã€ãã©ãªãŒãæ§ç¯ãå
+±æãããœãããŠãšã¢ã§ãã\n\nãã®ã€ã³ã¹ããŒã«ãããã¡ã€ã«ã¯Greenstoneã®ã·ã¹ãã ããã³ããžã¿ã«ã©ã€ãã©ãªãŒããã¹ããã
+welcome-greenstone3.displayText:reenstone@version.major@ã¯ããžã¿ã«ã©ã€ãã©ãªãŒãæ§ç¯ãå
+±æãããœãããŠãšã¢ã§ãã
 
 ## License page ###
+page.license.displayText:ãœãããŠãšã¢ã©ã€ã»ã³ã¹
 
 
 ### Destination page ###
+page.destination.displayText:ã€ã³ã¹ããŒã«ã®ãã©ã«ããŒ
+installDir.displayText:ã€ã³ã¹ããŒã«ãããã©ã«ããŒãéžæãã
 
 
 ### InstallShield install detected page ###
+page.dontBudge.displayText:ä»¥åã®ã€ã³ã¹ããŒã«ããããã¡ã€ã«ãæ€åºãããŸãã
+is-install-detected.displayText:2.81ä»¥åã®ããŒãžã§ã³ã®Greenstone2ãããã¯ 3.04ä»¥åã®ããŒãžã§ã³ã®Greenstone3ãã€ã³ã¹ããŒã«ãããŠããå Žåã¯ã€ã³ã¹ã-ã«ãã©ã«ããŒã«æ€åºããããã€ã³ã¹ããŒã«ã¯éžæãããã€ã³ã¹ããŒã«çšãã©ã«ããŒãçšããŠé²è¡ã§ããªãã\n\nãã®ã€ã³ã¹ããŒã©ãŒãäž­æ­¢ããŠãæ¢å­ã®ã€ã³ã¹ããŒã«ãããGreenstoneãã¢ã³ã€ã³ã¹ããŒã«ãããã®ã€ã³ã¹ããŒã©ãŒãåèµ·åããïŒæšå¥šïŒãããã¯ããã®ã€ã³ã¹ããŒã©ïœ°ã®åã®ããŒãžã«æ»ãä»ã®ã€ã³ã¹ããŒã«çšãã©ã«ããŒãéžæããã
 
 
@@ -17,39 +29,41 @@
 # (Note: in the html here, we must use '<br>' for breaklines.
 # '<br/>' and other variations are not recognised.)
-
-Looking_For_Previous_Installation.displayText:ä»¥åã®ã€ã³ã¹ããŒã«ããããœãããæ€çŽ¢ãã  # Updated 8-Jul-2015 by gaku35812341
-Looking_For_Previous_Installation.explanatoryText:ããäžæžãã®ããã®ã€ã³ã¹ããŒã«ãªããé¢sããŒã«ãåæ»ã«ããããã«æ¢å­ã®ã€ã³ã¹ããŒã«ããããœããã®ãã­ããã£ãã­ãŒãããã  # Updated 8-Jul-2015 by gaku35812341
+page.selector.displayText:ã³ã³ãïŒãã³ã
+choose-components.displayText:ã€ã³ã¹ããŒã«ãããã³ã³ãïœ°ããããéžæããŠãã ããã
+
+Looking_For_Previous_Installation.displayText:ä»¥åã®ã€ã³ã¹ããŒã«ããããœãããæ€çŽ¢ãã
+Looking_For_Previous_Installation.explanatoryText:ããäžæžãã®ããã®ã€ã³ã¹ããŒã«ãªããé¢sããŒã«ãåæ»ã«ããããã«æ¢å­ã®ã€ã³ã¹ããŒã«ããããœããã®ãã­ããã£ãã­ãŒãããã
 
 ### EXT ###
-Installing_AMP.displayText:Apache HTTPD (2.2.15), MySQL (5.1.47) ãšPHP (5.3.2)  # Updated 8-Jul-2015 by gaku35812341
-Installing_AMP.explanatoryText:<html>ãã®ã³ã³ããŒãã³ãã¯Apache HTTPD ãŠãšããµãŒããŒãã€ã³ã¹ããŒã«ããŠãMySQLïŒããŒã¿ããŒã¹ã·ã¹ãã ïŒãšPHPïŒãµãŒããŒåŽã®ã³ãŒãåã®ããã®ã¹ã¯ãªããèšèªïŒã«ãã£ãŠå®æããã  # Updated 8-Jul-2015 by gaku35812341
+Installing_AMP.displayText:Apache HTTPD (2.2.15), MySQL (5.1.47) ãšPHP (5.3.2)
+Installing_AMP.explanatoryText:<html>ãã®ã³ã³ããŒãã³ãã¯Apache HTTPD ãŠãšããµãŒããŒãã€ã³ã¹ããŒã«ããŠãMySQLïŒããŒã¿ããŒã¹ã·ã¹ãã ïŒãšPHPïŒãµãŒããŒåŽã®ã³ãŒãåã®ããã®ã¹ã¯ãªããèšèªïŒã«ãã£ãŠå®æããã
 ### /EXT ###
 
-Installing_Core_System.displayText:ã³ã¢ãªã·ã¹ãã   # Updated 8-Jul-2015 by gaku35812341
+Installing_Core_System.displayText:ã³ã¢ãªã·ã¹ãã 
 Installing_Core_System.explanatoryText:ãããGreenstone@version.major@ã®ã³ã¢ã·ã¹ãã ã§ããã³ã³ãïœ°ãã³ããå¿
-èŠã§ãã  # Updated 8-Jul-2015 by gaku35812341
-
-Installing_Source_Code_Core.displayText:ãœãŒã¹ã³ãŒãã®ã³ã¢  # Updated 8-Jul-2015 by gaku35812341
+èŠã§ãã
+
+Installing_Source_Code_Core.displayText:ãœãŒã¹ã³ãŒãã®ã³ã¢
 Installing_Source_Code_Core.explanatoryText:ããã¯ãœãŒã¹ã®ãªãªãŒã¹ã®Greenstone@version.major@ ã®ã³ã¢ã·ã¹ãã ã§ãã
 
-Installing_Source_Code.displayText:ãœãŒã¹ã³ãŒã  # Updated 8-Jul-2015 by gaku35812341
-Installing_Source_Code.explanatoryText:Greenstone@version.major@ ãèªåã§ç·šéããŠãGreenstone@version.major@ ã®ã³ããŒãå€æŽããããã©ã®ããã«åäœããããç¢ºèªããããã«ããœãŒã¹ã³ãŒããã€ã³ã¹ããŒã«ããã  # Updated 8-Jul-2015 by gaku35812341
-
-Installing_ImageMagick.displayText:ImageMagick (@bundled.version.imagemagick@)  # Updated 8-Jul-2015 by gaku35812341
+Installing_Source_Code.displayText:ãœãŒã¹ã³ãŒã
+Installing_Source_Code.explanatoryText:Greenstone@version.major@ ãèªåã§ç·šéããŠãGreenstone@version.major@ ã®ã³ããŒãå€æŽããããã©ã®ããã«åäœããããç¢ºèªããããã«ããœãŒã¹ã³ãŒããã€ã³ã¹ããŒã«ããã
+
+Installing_ImageMagick.displayText:ImageMagick (@bundled.version.imagemagick@)
 Installing_ImageMagick.explanatoryText:ã°ãªãŒã³ã¹ããŒã³ã¯ç»ååŠçã«ImageMagickãäœ¿çšãããImageMagickã®ãã³ãã«ãããããŒãžã§ã³ã¯JPEGïŒïŒïŒïŒã®ç»åãã©ãŒãããããµããŒãããŠãããImageMagickãã€ã³ã¹ããŒã«ãã¿ããã°ãªãŒã³ã¹ããŒã³ã®ã³ã¬ã¯ã·ã§ã³ã«ImageMagickã®ç»åãæ··åšãããããªããªããImageMagickãã€ã³ã¹ããŒã«ããå¿
-èŠã¯ãªãã  # Updated 8-Jul-2015 by gaku35812341
-
-Installing_Ghostscript.displayText:ãŽãŒã¹ãã¹ã¯ãªãã (@bundled.version.ghostscript@)  # Updated 8-Jul-2015 by gaku35812341
+èŠã¯ãªãã
+
+Installing_Ghostscript.displayText:ãŽãŒã¹ãã¹ã¯ãªãã (@bundled.version.ghostscript@)
 Installing_Ghostscript.explanatoryText:ã°ãªãŒã³ã¹ããŒã³ã§ã¯ãŽãŒã¹ãã¹ã¯ãªãããPDFãšPostScriptãã¡ã€ã«ã®åŠçã«äœ¿çšããããŽãŒã¹ãã¹ã¯ãªãããã€ã³ã¹ããŒã«ãã¿ããã°ãªãŒïŒã³ã¹ããŒã³ã®ã³ã¬ã¯ã·ã§ã³ã§ãã¹ãã¹ã¯ãªãããã¡ã€ã«ã®PDFãæ··åšãããããªããã°ããŽãŒã¹ãã¹ã¯ãªãããã€ã³ã¹ããŒã«ããå¿
-èŠã¯ãªãã  # Updated 8-Jul-2015 by gaku35812341
-
-Installing_Apache_Web_Server.displayText:Apache ãŠãšããµãŒããŒ  # Updated 8-Jul-2015 by gaku35812341
+èŠã¯ãªãã
+
+Installing_Apache_Web_Server.displayText:Apache ãŠãšããµãŒããŒ
 Installing_Apache_Web_Server.explanatoryText:ã°ãªãŒã³ã¹ããŒã³ã®ããžã¿ã«å³æžé€šã®ã³ã³ãã³ããæäŸããã«ã¯ãŠãšããµãŒããŒãå¿
 èŠã§ãããªãŒãã³ãœãŒã¹ã®
 
-Installing_Start_Menu_Shortcuts.displayText:ã¹ã¿ãŒãã¡ãã¥ãŒã·ã§ãŒãã«ãã  # Updated 8-Jul-2015 by gaku35812341
-Installing_Start_Menu_Shortcuts.explanatoryText:ã¹ã¿ãŒãã¡ãã¥ãŒã«Greenstone@version.major@ system ãžã®ã·ã§ãŒãã«ãããäœæãã  # Updated 8-Jul-2015 by gaku35812341
-
-Installing_Tomcat.displayText:Apache Tomcat (@bundled.version.tomcat@)  # Updated 8-Jul-2015 by gaku35812341
+Installing_Start_Menu_Shortcuts.displayText:ã¹ã¿ãŒãã¡ãã¥ãŒã·ã§ãŒãã«ãã
+Installing_Start_Menu_Shortcuts.explanatoryText:ã¹ã¿ãŒãã¡ãã¥ãŒã«Greenstone@version.major@ system ãžã®ã·ã§ãŒãã«ãããäœæãã
+
+Installing_Tomcat.displayText:Apache Tomcat (@bundled.version.tomcat@)
 Installing_Tomcat.explanatoryText:ããžã¿ã«å³æžé€šããŠãšãäžã«å±éããããã«ã°ãªãŒã³ã¹ããŒã³ïŒã§ã¯Apache Tomcat ãŠãšããµãŒããå¿
 èŠã«ãªããTomcatãå°å
@@ -57,20 +71,22 @@
 èŠã¯ãªãã
 
-Installing_Ant.displayText:Apache Ant (@bundled.version.ant@)  # Updated 8-Jul-2015 by gaku35812341
+Installing_Ant.displayText:Apache Ant (@bundled.version.ant@)
 Installing_Ant.explanatoryText:TomcatãŠãšããµãŒããŒãéå§ã»çµäºãããœãŒã¹ã³ãŒããã³ã³ãã€ã«ãçŽããã¡ã³ããã³ã¹äœæ¥­ãå®è¡ããã«ã¯Apache Antãå¿
-èŠã§ããAntãã€ã³ã¹ããŒã«æžã¿ã§ããã°ããã®ã³ã³ããŒãã³ããã€ã³ã¹ããŒã«ããªãã§ãå€§äžå€«ã§ãã  # Updated 8-Jul-2015 by gaku35812341
-
-Installing_Documented_Examples.displayText:èšé²ãããäœ¿çšäŸã®ã³ã¬ã¯ã·ã§ã³  # Updated 8-Jul-2015 by gaku35812341
+èŠã§ããAntãã€ã³ã¹ããŒã«æžã¿ã§ããã°ããã®ã³ã³ããŒãã³ããã€ã³ã¹ããŒã«ããªãã§ãå€§äžå€«ã§ãã
+
+Installing_Documented_Examples.displayText:èšé²ãããäœ¿çšäŸã®ã³ã¬ã¯ã·ã§ã³
 Installing_Documented_Examples.explanatoryText:äœ¿çšäŸã®ã³ã¬ã¯ã·ã§ã³ã®ã»ãããaboutããŒãžã§ãã©ã®ããã«æ§ç¯ãããããè¡šç€ºããŠããã
 
 ### Admin password page
 
+page.admin-pages.displayText:ç®¡çè
+ã®ããŒãž
 
 ## GS2
 admin-expl.displayText:ã°ãªãŒã³ã¹ããŒã³ã®ã€ã³ã¿ãŒãã§ãŒã¹ã®ç®¡çè
 ããŒãžã§ã¯ãŠãŒã¶ãŒããŒã¿ããŒã¹ã®ç®¡çãã§ããŸãããªã¢ãŒãã®ã°ãªãŒã³ã¹ããŒã³ã®ã»ããã¢ãããå¿
-èŠã§ããã­ã°ãã¡ã€ã«ãèŠãã'main.cfg'ãã¡ã€ã«ã®ç·šéãç°¡åã«ã§ããŸãã  # Updated 8-Jul-2015 by gaku35812341
+èŠã§ããã­ã°ãã¡ã€ã«ãèŠãã'main.cfg'ãã¡ã€ã«ã®ç·šéãç°¡åã«ã§ããŸãã
 admin-expl-2.displayText:ã°ãªãŒã³ã¹ããŒã³ã®ç®¡çè
-ã®ããŒãžãå©çšå¯èœã«ããŸããïŒæ¬¡ã®ããŒãžã§ãã¹ã¯ãŒããèŠæ±ãããŸãïŒã  # Updated 8-Jul-2015 by gaku35812341
+ã®ããŒãžãå©çšå¯èœã«ããŸããïŒæ¬¡ã®ããŒãžã§ãã¹ã¯ãŒããèŠæ±ãããŸãïŒã
 admin-expl-3.displayText:ç®¡çè
 ã®ããŒãžãå©çšå¯èœã«ãããšãã€ã³ã¿ãŒãããã§ã¢ã¯ã»ã¹ãå¯èœã«ãªããŸããä¿è­·ã®ããã«å®å
@@ -79,21 +95,26 @@
 çšãã¹ã¯ãŒãä»ãã®ç®¡çè
 ã¢ã«ãŠã³ããäœæãããŸãã
+enable.admin.pages.displayText:Admin ããŒãžãäœ¿çšå¯èœã«ãã
 
 ## GS3
 admin3-expl.displayText:ã°ãªãŒã³ã¹ããŒã³ã®ã€ã³ã¿ãŒãã§ãŒã¹ã®ç®¡çè
 ããŒãžã§ãŠãŒã¶ãŒããŒã¿ããŒã¹ã®ç®¡çãšãã©ãŒãããã®æšèšãããžã¥ã¢ã«ã«ç·šéããããã®Greenbugãäœ¿çšã§ãããã­ã¥ã¡ã³ãã®æ§é ãšã³ã³ãã³ãã®ç·šéçšã®ãã©ãŠã¶ãŒå
-ç·šéã¢ãŒããäœ¿çšã§ããŸãã  # Updated 8-Jul-2015 by gaku35812341
+ç·šéã¢ãŒããäœ¿çšã§ããŸãã
 admin3-expl-2.displayText:ã°ãªãŒã³ã¹ããŒã³ã®ç®¡çè
-ããŒãžçšã®ãã¹ã¯ãŒããäœæããŸããïŒæ¬¡ç»é¢ã§ãã¹ã¯ãŒããå°ã­ãããŸããïŒ  # Updated 8-Jul-2015 by gaku35812341
+ããŒãžçšã®ãã¹ã¯ãŒããäœæããŸããïŒæ¬¡ç»é¢ã§ãã¹ã¯ãŒããå°ã­ãããŸããïŒ
 admin3-expl-3.displayText:ãããªããã°ç®¡çè
 ãã¹ã¯ãŒããä»äžãããã€ãã·ã¢ã«ã®ç®¡çè
-ã¢ã«ãŠã³ããäœæãããŸããå³æžé€šã®ããŒã ããŒãžããããã«æããŠãã ããã  # Updated 8-Jul-2015 by gaku35812341
-
+ã¢ã«ãŠã³ããäœæãããŸããå³æžé€šã®ããŒã ããŒãžããããã«æããŠãã ããã
+set.admin.pwd.displayText:ç®¡çè
+ãã¹ã¯ãŒããèš­å®ããŠãã ãã
+
+page.admin-password.displayText:ç®¡çè
+ãã¹ã¯ãŒã
 admin-password-expl.displayText:äœæãããã¹ã¯ãŒãä»ãã®ç®¡çè
 ãšãããŠãŒã¶ãŒåã®ãŠãŒã¶ãŒãäœæãããŸããç®¡çè
 ãã¹ã¯ãŒããå
-¥åããŠãã ããããã¹ã¯ãŒãã¯ïŒããïŒïŒæå­ã®éã§ãªããã°ãªããŸããã  # Updated 8-Jul-2015 by gaku35812341
+¥åããŠãã ããããã¹ã¯ãŒãã¯ïŒããïŒïŒæå­ã®éã§ãªããã°ãªããŸããã
 admin.password.displayText:ç®¡çè
-ãã¹ã¯ãŒã  # Updated 8-Jul-2015 by gaku35812341
+ãã¹ã¯ãŒã
 
 
@@ -101,33 +122,131 @@
 
 ### Tomcat config page
+page.tomcat-config.displayText:Apache Tomcatã®å¶åŸ¡
+tomcat-config-explanation1.displayText:ããžã¿ã«ã©ã€ãã©ãªãŒãå
+±æããããã«Greenstone3 ã¯ Apache Tomcatãäœ¿çšããŸã
+tomcat-config-explanation2.displayText:ããã«Tomcatãçœ®ãããGreenstone3ã® home folder (${installDir})å
+ã® build.propertiesãç·šéããŸã
+tomcat.server.displayText:Tomcat ãµãŒããŒ
+tomcat-server.explanatoryText:ã©ã€ãã©ãªãŒããã¹ãããããµãŒããŒåãå
+¥åããŠãã ãããããããããªããã°ããã©ã«ã (localhost)ãéžæããŠãã ããã
+tomcat.port.explanatoryText:Tomcaãäœ¿çšããããŒããéžæããŠãã ãããéåžžã¯ããã©ã«ããå®å
+šã§ããããã©ã«ãã®ããŒããä»ã®ãµãŒãã¹ã§äœ¿çšãããŠããããããªãŒã®ããŒããéžæããŠãã ããã
+tomcat.port.displayText:Tomcat ããŒã
+tomcat.shutdown.port.displayText:Tomcat ã·ã£ããããŠã³ãããŒã
 
 ### Progress page
+page.progress.displayText:ã€ã³ã¹ããŒã«ã®é²è¡
 
 ### Uninstaller Strings
 
-
-
+uninstaller.greenstone.uninstaller:Greenstone ã¢ã³ã€ã³ã¹ããŒã©ãŒ
+uninstaller.cancel:ã­ã£ã³ã»ã«
+uninstaller.uninstall:ã¢ã³ã€ã³ã¹ããŒã«
+uninstaller.finish:çµäºããŸã
+uninstaller.error:ãšã©ãŒ
+uninstaller.confirmation:ç¢ºèª
+uninstaller.continue:ç¶ããŸã
+uninstaller.complete:å®æããŸãã
+uninstaller.skip:ã¹ã­ãã
+uninstaller.skip.all:å
+šãŠãã¹ã­ãããã
+uninstaller.retry:åè©Šè¡
+uninstaller.readonly:èª­ã¿åãå°çš
+
+uninstaller.will.uninstall.from:\:ããGreenstoneãã¢ã³ã€ã³ã¹ããŒã«ãã
+uninstaller.uninstall.options:ã¢ã³ã€ã³ã¹ããŒã«ã®ãªãã·ã§ã³\:
+uninstaller.keep.collections:ã³ã¬ã¯ã·ã§ã³ãä¿å­ãã
+uninstaller.are.you.sure:æ¬åœã«Greenstoneãã¢ã³ã€ã³ã¹ããŒã«ããŸããã
+uninstaller.are.you.sure.collections:ã³ã¬ã¯ã·ã§ã³ã®åé€ãéžæããŸããã\næ¬¡ã«é²ãåã«ä¿å­ãããã³ã¬ã¯ã·ã§ã³ãããã¯ã¢ããããŠãã ããã
+uninstaller.failed.to.figure.cd:çŸåšã®ãã€ã¬ã¯ããªïœ°ãè­å¥ã§ããŸããã
+uninstaller.cancelled:ã¢ã³ã€ã³ã¹ããŒã«ãã­ã£ã³ã»ã«ããŸã
+uninstaller.finished:ã¢ã³ã€ã³ã¹ããŒã«ãçµäºããŸãã
+uninstaller.deleting:ïŒãã¡ã€ã«ãïŒãã£ã¹ã¯ããåé€ããŸã
+
+uninstaller.info.skipping:INFO\: {file}ãã¹ã­ãããã
+uninstaller.info.no.startmenu:ã¹ã¿ãŒãã¡ãã¥ãŒã®ãã¹ãèŠã€ãããŸãããStartMenu groupãåé€ããã®ã¯ã¢ã³ã€ã³ã¹ãïŒãã®ã¢è¡ã«å«ãŸããŸããã
+uninstaller.warning.readonly:è­Šå\: {file}ã¯èª­ã¿åãå°çšã§ãã
+uninstaller.warning.couldnt.delete:WARNING\: {file}ãæ€åºã§ããŸãããã¹ã­ããããŸãã
+uninstaller.warning.nonexistent:è­Šå\: {file}ãèŠã€ãããŸããã
+uninstaller.error.nonexistent:ERROR\: {ãã¡ã€ã«}ããããŸããã
+uninstaller.error.couldnt.find.install.props:ãšã©ãŒ\:ïœ¢installation.propertiesïœ£ã ïœ¢etc/installation.propertiesïœ£ãèŠã€ãããŸããã
+uninstaller.warning.couldnt.create.flagfile:è­Šå\:flag fileãäœæã§ããŸããã jreãåé€ããã¢ã³ã€ã³ã¹ããŒã©ãŒãã¡ã€ã«ãããã¥ã¢ã«ã§éæŸããŠãã ããã
 
 
 ### Ant-Installer Core strings
 
+dirNotExistCreate:ãã©ã«ããŒãå­åšããŸãããäœæããŸãã
+dirNotExist:ãã©ã«ããŒãå­åšããŸãã
+fileNotExist:ãã¡ã€ã«ãå­åšããŸãã
+dirNotCreated:ãã©ã«ããŒãäœæãããŸãã
+canNotCreateFile:ãã¡ã€ã«ãäœæã§ããŸãã
+appRootInvalid:ãã®ãã©ã«ããŒã¯ã¢ããªã®ã«ãŒãã«å­åšããªãããã«èŠåããããŸãã
+selectFile:ãã¡ã€ã«ãéžæãã
+selectFolder:ãã©ã«ããŒãéžæãã
+browseDotDotDot:ãã©ãŠãº...
+notValidSelection:æå¹ãªéžæã§ã¯ãããŸãã
+showDetails:è©³çŽ°ãè¡šç€ºãã
 
 #Default loading
-
+promptLoadDefaults:ã€ã³ã¹ããŒã«ããããã¡ã€ã«ã®å€æŽãèŠã€ãããŸãããæ¢å­ã®å¶åŸ¡ãå®è¡ããŸãã
+promptMissingDefaultPassword:ãã¹ã¯ãŒããã¿ã€ãããŸãããã»ã­ã¥ãªãã£äžã®çç±ããæ¶å»ããããããããŸããã
+
+click:ã¯ãªãã¯ãã
+toContinue:ç¶ããŸã
+failed:å€±æããŸãã
+exit:éåºãã
+complete:å®æ
+finished:çµäºããŸãã
+extracting:æœåºããŠããŸã...
+installFinished:ã€ã³ã¹ããŒã«ãçµäºããŸãã
+install-cancelled:ã€ã³ã¹ããŒã«ãã­ã£ã³ã»ã«ãããŸãã
 running:
 
-
-
-Finished:å®äº  # Updated 8-Jul-2015 by gaku35812341
-Failed:å€±æããŸããããšã©ãŒã¡ãã»ãŒãžããèŠ§äžããã  # Updated 8-Jul-2015 by gaku35812341
-
+backButton:ãã©ã
+cancelButton:ã­ã£ã³ã»ã«
+nextButton:æ¬¡
+finishButtonText:ã€ã³ã¹ããŒã«ãã
+
+output:ã¢ãŠãããã
+errors:ãšã©ãŒ
+notCorrectFormat:ãã£ãŒã«ãã®åœ¢åŒãæ­£ãããããŸãã
+notCorrectPasswordFormat:ãã¹ã¯ãŒãã®åœ¢åŒãæ­£ãããããŸãã
+passwordsDoNotMatch:ãã¹ã¯ãŒããäžèŽããŸãã
+installationFailed:ã€ã³ã¹ããŒã«ãå€±æããŸãã
+propertiesVersionMismatch:ä»¥åã®ããŒãžã§ã³ã§ããã€ãã®ãªãã·ã§ã³ãèŠåœãããŸãããããã¥ã¢ã«ã§å°å
+¥ããå¿
+èŠããããŸããç¶ããŸãã
+
+Finished:å®äº
+Failed:å€±æããŸããããšã©ãŒã¡ãã»ãŒãžããèŠ§äžããã
+ant.failure:Antãå®è¡ãããŸããã§ãã-è©³çŽ°ã¯ãšã©ãŒã­ã°ãåç
+§ããŠãã ããã
+
+license.next.text:åãå
+¥ãã
+license.cancel.text:é€ã
 
 #text install strings
 _required_:å¿
-èŠãª  # Updated 8-Jul-2015 by gaku35812341
-_default_:ããã©ã«ã  # Updated 8-Jul-2015 by gaku35812341
+èŠãª
+_default_:ããã©ã«ã
+true:ç
 #The value of 'affirmativeChars' comes from the first letters of "True" and "Yes"
+affirmativeChars:T,Y
 #The value of 'negativeChars' comes from the first letters of "False" and "No"
+negativeChars:F,N
+licenseAccept:ã©ã€ã»ã³ã¹ãæ¿èªããŸãããY ããNïŒããã©ã«ã\:YïŒ
+clickViewLicense:ã©ã€ã»ã³ã¹åå®ãèŠãããã«ãšã³ã¿ãŒãæŒããŠãã ããã
+clickViewText:ç¶ç¶ããããã«EnterãæŒããŠãã ããã
+enterNumber:æ°å­ãå
+¥ãã
+fileDoesNotExist:ãã¡ã€ã«ãå­åšããŸããã
 #The value of backChar is the first letter "Back"
+backChar:B
 #The value of nextChar is the first letter "Next"
+nextChar:N
 #In the next two properties, 'N' should be replaced the value of the 'nextChar' property
+license_next:æ¬¡ã®ããŒãžã«è¡ãããã«ïœ¢Nïœ£ãæŒããŠãæåŸéšã«é£ã¶ããã«ã©ããã­ãŒãæŒããŠãã ãã
+large_select_next:æ¬¡ã®ããŒãžã«è¡ãããã«ïœ¢Nïœ£ãå
+¥åããŠãæåŸéšã«é£ã¶ããã«ãã©ããã­ãŒãæŒããŠãã ãã
+availableOptions:ãã¥ãŒãäœ¿çšã§ãããªãã·ã§ã³