Index: gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE.sh	(revision 30467)
+++ gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE.sh	(revision 30675)
@@ -6,5 +6,6 @@
 # (else it will find a system libjpeg.so, which will be libjpeg.so.62 and not the included libjpeg.so.8)
 
-for d in LIBZ LIBBZ2 JPEG TIFF GS LIBPNG JPEG2000 IMAGEMAGICK ; do
+#for d in LIBZ LIBBZ2 JPEG TIFF GS LIBPNG JPEG2000 IMAGEMAGICK ; do
+for d in LIBICONV GETTEXT PKG-CONFIG   LIBZ LIBBZ2  LIBXML JPEG TIFF LIBPNG JPEG2000 GS IMAGEMAGICK ; do
     echo "    Running CASCADE-MAKE/$d.sh"
 
Index: gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh
===================================================================
--- gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh	(revision 30675)
+++ gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh	(revision 30675)
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+package=gettext
+#version=-0.18.1.1
+version=-0.18.2
+#version=-0.19.6
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXTIMAGEMAGICK ../.. $*
+
+prefix=$GEXTIMAGEMAGICK_INSTALLED
+
+if [ "x$CROSSCONFIGURE_ARGS" != "x" ] ; then
+
+  if [ $crossOS = "android" ] ; then
+    export CROSSCONFIGURE_VARS="$CROSSCONFIGURE_VARS \
+          gl_cv_header_working_stdint_h=yes"
+  fi
+
+  if [ $crossOS = "windows" ] ; then
+    export CROSSCONFIGURE_VARS="$CROSSCONFIGURE_VARS \
+          gl_cv_func_memchr_works=yes
+          ac_cv_func_strnlen_working=yes"
+  fi
+fi
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix --without-emacs --without-git --disable-shared
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/GS.sh
===================================================================
--- gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/GS.sh	(revision 30467)
+++ gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/GS.sh	(revision 30675)
@@ -2,5 +2,5 @@
 
 package=ghostscript
-version=-9.05
+version=-9.15
 
 progname=$0
Index: gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/IMAGEMAGICK.sh
===================================================================
--- gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/IMAGEMAGICK.sh	(revision 30467)
+++ gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/IMAGEMAGICK.sh	(revision 30675)
@@ -2,5 +2,5 @@
 
 package=ImageMagick
-version=-6.8.2-9
+version=-6.9.5-4
 
 progname=$0
@@ -29,5 +29,5 @@
 # so --without-gslib
 opt_run_untar $force_untar $auto_untar $package $version
-opt_run_configure $force_config $auto_config $package $version $prefix --without-gslib
+opt_run_configure $force_config $auto_config $package $version $prefix --without-gslib --disable-shared 
 
 opt_run_make $compile $package $version
Index: gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/JPEG.sh
===================================================================
--- gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/JPEG.sh	(revision 30467)
+++ gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/JPEG.sh	(revision 30675)
@@ -17,5 +17,6 @@
 
 opt_run_untar $force_untar $auto_untar $package $version
-opt_run_configure $force_config $auto_config $package $version $prefix
+opt_run_configure $force_config $auto_config $package $version $prefix \
+  --disable-shared
 
 opt_run_make $compile $package $version
Index: gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/LIBICONV.sh
===================================================================
--- gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/LIBICONV.sh	(revision 30675)
+++ gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/LIBICONV.sh	(revision 30675)
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+package=libiconv
+version=-1.14
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXTIMAGEMAGICK ../.. $*
+
+prefix=$GEXTIMAGEMAGICK_INSTALLED
+
+if [ "x$crossOS" = "xandroid" ] ; then
+  # Stops configure generating a local 'stdint.h' in 'srclib' folder
+  # (when this file was generated, caused no end of issues with chaining
+  #  standard header files, errors with time_t, pid_t etc)
+  # Fix came from:
+  #  http://stackoverflow.com/questions/9053702/building-libiconv-fails-with-the-android-standalone-toolchain
+
+  extra_config_args="gl_cv_header_working_stdint_h=yes"
+else
+  extra_config_args=
+fi
+
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix \
+  $extra_config_args \
+  --enable-static \
+  --disable-shared \
+
+#export DYLIB_COMPATIBILITY_VERSION=7.0.0
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/LIBPNG.sh
===================================================================
--- gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/LIBPNG.sh	(revision 30467)
+++ gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/LIBPNG.sh	(revision 30675)
@@ -17,5 +17,6 @@
 
 opt_run_untar $force_untar $auto_untar $package $version
-opt_run_configure $force_config $auto_config $package $version $prefix
+opt_run_configure $force_config $auto_config $package $version $prefix \
+  --disable-shared
 
 opt_run_make $compile $package $version
Index: gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/LIBXML.sh
===================================================================
--- gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/LIBXML.sh	(revision 30675)
+++ gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/LIBXML.sh	(revision 30675)
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# libxml2.2.9.0 was modified for Greenstone to allow compilation to succeed on a Mac, so it has acquired a 'gs-' prefix
+package=gs-libxml2
+version=-2.9.0
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXTIMAGEMAGICK ../.. $*
+
+prefix=$GEXTIMAGEMAGICK_INSTALLED
+
+export CFLAGS="$CFLAGS -I$GEXTIMAGEMAGICK_INSTALLED/include -DLIBXML_STATIC"
+export CPPFLAGS="$CPPFLAGS -I$GEXTIMAGEMAGICK_INSTALLED/include"
+export CXXFLAGS="$CXXFLAGS -I$GEXTIMAGEMAGICK_INSTALLED/include"
+export LDFLAGS="$LDFLAGS -L$GEXTIMAGEMAGICK_INSTALLED/lib"
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix \
+  --without-python --disable-shared
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/LIBZ.sh
===================================================================
--- gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/LIBZ.sh	(revision 30467)
+++ gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/LIBZ.sh	(revision 30675)
@@ -33,6 +33,6 @@
     echo "[pushd $package$version]"
     ( cd $package$version ; \
-      echo $CROSSCONFIGURE_VARS ./configure --prefix="$prefix" $CROSSCONFIGURE_ARGS $@ ; \
-      eval $CROSSCONFIGURE_VARS ./configure --prefix="$prefix" $CROSSCONFIGURE_ARGS $@ )
+      echo $CROSSCONFIGURE_VARS ./configure --static --prefix="$prefix" $CROSSCONFIGURE_ARGS $@ ; \
+      eval $CROSSCONFIGURE_VARS ./configure --static --prefix="$prefix" $CROSSCONFIGURE_ARGS $@ )
     if [ $? != 0 ] ; then
         echo "      Error encountered running *configure* stage of $progname"
Index: gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/PKG-CONFIG.sh
===================================================================
--- gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/PKG-CONFIG.sh	(revision 30675)
+++ gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/PKG-CONFIG.sh	(revision 30675)
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+package=pkg-config
+#version=-0.25
+version=-0.27
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXTIMAGEMAGICK ../.. $*
+
+prefix=$GEXTIMAGEMAGICK_INSTALLED
+
+export CFLAGS="$CFLAGS -I$GEXTIMAGEMAGICK_INSTALLED/include"
+export CXXFLAGS="$CXXFLAGS -I$GEXTIMAGEMAGICK_INSTALLED/include"
+export LDFLAGS="$LDFLAGS -L$GEXTIMAGEMAGICK_INSTALLED/lib"
+export DYLD_LIBRARY_PATH=
+
+opt_run_untar $force_untar $auto_untar $package $version
+LIBS=-lintl opt_run_configure $force_config $auto_config $package $version $prefix \
+  --with-internal-glib --disable-shared
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/TIFF.sh
===================================================================
--- gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/TIFF.sh	(revision 30467)
+++ gs2-extensions/imagemagick/trunk/src/packages/CASCADE-MAKE/TIFF.sh	(revision 30675)
@@ -14,5 +14,5 @@
 # http://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=18566
 opt_run_untar $force_untar $auto_untar $package $version
-opt_run_configure $force_config $auto_config $package $version $prefix --with-jpeg-lib-dir=$GEXTIMAGEMAGICK_INSTALLED/lib --with-jpeg-include-dir=$GEXTIMAGEMAGICK_INSTALLED/include
+opt_run_configure $force_config $auto_config $package $version $prefix --with-jpeg-lib-dir=$GEXTIMAGEMAGICK_INSTALLED/lib --with-jpeg-include-dir=$GEXTIMAGEMAGICK_INSTALLED/include --disable-shared
 
 opt_run_make $compile $package $version